#<profile4xi profile = "32" />
# -------------------------------------------------------------------------------------------------
#<program4xi program = "constant_managers4xi.py">
#<abstract4xi abstract = "Provides the class ConstantManagers4Xi."/>
#<refer4xi reference = "managers.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
#--------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'constant_managers4xi', 'ConstantManagers4Xi', 'init_allconstants_managers4xi', 'get_allconstants_managers4xi', 'set_allconstants_managers4xi', 
            'init_wait_manager4xi', 'set_wait_manager4xi', 'get_wait_manager4xi',
            'init_value_manager4xi', 'set_value_manager4xi', 'get_value_manager4xi',
            'init_unserializable_manager4xi', 'set_unserializable_manager4xi', 'get_unserializable_manager4xi',
            'init_typeid_manager4xi', 'set_typeid_manager4xi', 'get_typeid_manager4xi',
            'init_traceback_manager4xi', 'set_traceback_manager4xi', 'get_traceback_manager4xi',
            'init_stop_manager4xi', 'set_stop_manager4xi', 'get_stop_manager4xi',
            'init_started_manager4xi', 'set_started_manager4xi', 'get_started_manager4xi',
            'init_shutdown_manager4xi', 'set_shutdown_manager4xi', 'get_shutdown_manager4xi',            
            'init_set_manager4xi', 'set_set_manager4xi', 'get_set_manager4xi',
            'init_return_manager4xi', 'set_return_manager4xi', 'get_return_manager4xi',
            'init_proxy_manager4xi', 'set_proxy_manager4xi', 'get_proxy_manager4xi',
            'init_pickle_manager4xi', 'set_pickle_manager4xi', 'get_pickle_manager4xi',            
            'init_number_of_objects_manager4xi', 'set_number_of_objects_manager4xi', 'get_number_of_objects_manager4xi',
            'init_is_set_manager4xi', 'set_is_set_manager4xi', 'get_is_set_manager4xi',
            'init_initial_manager4xi', 'set_initial_manager4xi', 'get_initial_manager4xi',
            'init_id_manager4xi', 'set_id_manager4xi', 'get_id_manager4xi',            
            'init_getvalue_manager4xi', 'set_getvalue_manager4xi', 'get_getvalue_manager4xi',
            'init_exitpriority_manager4xi', 'set_exitpriority_manager4xi', 'get_exitpriority_manager4xi',
            'init_error_manager4xi', 'set_error_manager4xi', 'get_error_manager4xi',
            'init_dummy_manager4xi', 'set_dummy_manager4xi', 'get_dummy_manager4xi',            
            'init_debug_info_manager4xi', 'set_debug_info_manager4xi', 'get_debug_info_manager4xi',
            'init_create_manager4xi', 'set_create_manager4xi', 'get_create_manager4xi',
            'init_clear_manager4xi', 'set_clear_manager4xi', 'get_clear_manager4xi',
            'init_backlog_manager4xi', 'set_backlog_manager4xi', 'get_backlog_manager4xi']
#"
#/>

# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import errno
import io
import itertools
import os
import pickle
import select
import socket
import struct
import sys
import time
import tempfile
try:
    import _winapi
    from _winapi import WAIT_OBJECT_0, WAIT_TIMEOUT, INFINITE
except ImportError:
    if sys.platform == 'win32':
        raise
    _winapi = None      
#"
#/>

# -------------------------------------------------------------------------------------------------
# Multiprocessing Imports                          
# -------------------------------------------------------------------------------------------------
#<process4xi process = "
try:                             # Binary ones
    import _multiprocessing
except:
    pass
try:                             # Python ones
    pass
except:
    pass
#"
#/>
     
# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
from ace_object4xi import ace_object4xi
from constant_family4xi import get_default_family4xi
from reason_object4xi import reason_object4xi
from sense_object4xi import sense_object4xi
from print4xi import print4xi
from time4xi import time4xi

from constant_connection4xi import ConstantConnection4Xi 
from constant_family4xi import get_af_inet4xi
from constant_family4xi import get_af_unix4xi
from constant_family4xi import get_af_pipe4xi

from finalizer4xi import _finalizer_registry
from finalizer4xi import init_finalizer_registry4xi
from finalizer4xi import set_finalizer_registry_element4xi
from finalizer4xi import get_finalizer_registry_element4xi
from finalizer4xi import init_finalizer_counter4xi
from finalizer4xi import get_finalizer_counter4xi
from finalizer4xi import next_finalizer_counter4xi
from finalizer4xi import del_finalizer_registry_element4xi



#"
#/>

# -------------------------------------------------------------------------------------------------
# Global constants                            
# ------------------------------------------------------------------------------------------------
#<globalize4xi globalization = "
global BACKLOG_MANAGER4XI
global CLEAR_MANAGER4XI
global CREATE_MANAGER4XI
global DEBUG_INFO_MANAGER4XI
global DUMMY_MANAGER4XI
global ERROR_MANAGER4XI
global EXITPRIORITY_MANAGER4XI
global GETVALUE_MANAGER4XI
global ID_MANAGER4XI
global INITIAL_MANAGER4XI
global IS_SET_MANAGER4XI
global NUMBER_OF_OBJECTS_MANAGER4XI
global PICKLE_MANAGER4XI
global PROXY_MANAGER4XI
global RETURN_MANAGER4XI
global SET_MANAGER4XI
global SHUTDOWN_MANAGER4XI
global STARTED_MANAGER4XI
global STOP_MANAGER4XI
global TRACEBACK_MANAGER4XI
global TYPEID_MANAGER4XI
global UNSERIALIZABLE_MANAGER4XI
global VALUE_MANAGER4XI
global WAIT_MANAGER4XI
#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings - dragonized; note also usage of embedded functions
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
BACKLOG_MANAGER4XI = 5
CLEAR_MANAGER4XI = 'clear'
CREATE_MANAGER4XI = 'create'
DEBUG_INFO_MANAGER4XI = 'debug_info'
DUMMY_MANAGER4XI = 'dummy'
ERROR_MANAGER4XI = '#ERROR'
EXITPRIORITY_MANAGER4XI = 10
GETVALUE_MANAGER4XI = '#GETVALUE'
ID_MANAGER4XI = 'id'
INITIAL_MANAGER4XI = 0
IS_SET_MANAGER4XI = 'is_set'
NUMBER_OF_OBJECTS_MANAGER4XI = 'number_of_objects'
PICKLE_MANAGER4XI = 'pickle'
PROXY_MANAGER4XI = '#PROXY'
RETURN_MANAGER4XI = '#RETURN'
SET_MANAGER4XI = 'set'
SHUTDOWN_MANAGER4XI = 2
STARTED_MANAGER4XI = 1
STOP_MANAGER4XI = 999
TRACEBACK_MANAGER4XI = '#TRACEBACK'
TYPEID_MANAGER4XI = 'typeid'
UNSERIALIZABLE_MANAGER4XI = '#UNSERIALIZABLE'
VALUE_MANAGER4XI = ['value']
WAIT_MANAGER4XI = 'wait'
#"
#"/>





# -------------------------------------------------------------------------------------------------
#<function4xi function = "constant-managers4xi" usage = "
# returns a manager constant based on a given a number as a parameter
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def constant_managers4xi(constant_managers4xi_param):
    '''
    constant_managers4xi returns a manager constant based on a given a number as a parameter

    '''
    global BACKLOG_MANAGER4XI
    global CLEAR_MANAGER4XI
    global CREATE_MANAGER4XI
    global DEBUG_INFO_MANAGER4XI
    global DUMMY_MANAGER4XI
    global ERROR_MANAGER4XI
    global EXITPRIORITY_MANAGER4XI
    global GETVALUE_MANAGER4XI
    global INITIAL_MANAGER4XI
    global ID_MANAGER4XI
    global IS_SET_MANAGER4XI
    global NUMBER_OF_OBJECTS_MANAGER4XI
    global PICKLE_MANAGER4XI
    global PROXY_MANAGER4XI
    global RETURN_MANAGER4XI
    global SET_MANAGER4XI
    global SHUTDOWN_MANAGER4XI
    global STARTED_MANAGER4XI
    global STOP_MANAGER4XI
    global TRACEBACK_MANAGER4XI
    global TYPEID_MANAGER4XI
    global UNSERIALIZABLE_MANAGER4XI
    global VALUE_MANAGER4XI
    global WAIT_MANAGER4XI    

    class2print = 'constant_managers4xi'
    method2print = 'constant_managers4xi'
    
    message2print = "{started" + "; constant-managers4xi-started: " + str(constant_managers4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    message2print = "{passed" + "; constant-managers4xi-param-passed-to-constant-managers4xi: " + str(constant_managers4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
             
    
    if constant_managers4xi_param == 1:

        message2print = "{returning" + "; backlog-manager4xireturning-by-constant-managers4xi: " + str(BACKLOG_MANAGER4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)      
 
        return BACKLOG_MANAGER4XI  

    if constant_managers4xi_param == 2:

        message2print = "{returning" + "; clear-manager4xireturning-by-constant-managers4xi: " + str(CLEAR_MANAGER4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)       
 
        return CLEAR_MANAGER4XI   

    if constant_managers4xi_param == 3:

        message2print = "{returning" + "; create-manager4xireturning-by-constant-managers4xi: " + str(CREATE_MANAGER4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)         
 
        return CREATE_MANAGER4XI         

    if constant_managers4xi_param == 4:

        message2print = "{returning" + "; debug-info-manager4xireturning-by-constant-managers4xi: " + str(DEBUG_INFO_MANAGER4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)         
 
        return DEBUG_INFO_MANAGER4XI
        
    if constant_managers4xi_param == 5:

        message2print = "{returning" + "; dummy-manager4xireturning-by-constant-managers4xi: " + str(DUMMY_MANAGER4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)         
 
        return DUMMY_MANAGER4XI

    if constant_managers4xi_param == 6:

        message2print = "{returning" + "; error-manager4xireturning-by-constant-managers4xi: " + str(ERROR_MANAGER4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)         
 
        return ERROR_MANAGER4XI        

    if constant_managers4xi_param == 7:

        message2print = "{returning" + "; exitpriority-manager4xireturning-by-constant-managers4xi: " + str(EXITPRIORITY_MANAGER4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)        
 
        return EXITPRIORITY_MANAGER4XI        

    if constant_managers4xi_param == 8:

        message2print = "{returning" + "; getvalue-manager4xireturning-by-constant-managers4xi: " + str(GETVALUE_MANAGER4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)         
 
        return GETVALUE_MANAGER4XI  
        
    if constant_managers4xi_param == 9:

        message2print = "{returning" + "; id-manager4xireturning-by-constant-managers4xi: " + str(ID_MANAGER4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)          
 
        return ID_MANAGER4XI                                                        

    if constant_managers4xi_param == 10:

        message2print = "{returning" + "; initial-manager4xireturning-by-constant-managers4xi: " + str(INITIAL_MANAGER4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)       
         
    
        return INITIAL_MANAGER4XI                                                       
        
    
    if constant_managers4xi_param == 11:

        message2print = "{returning" + "; is-set-manager4xireturning-by-constant-managers4xi: " + str(IS_SET_MANAGER4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)     
 
        return IS_SET_MANAGER4XI                                                       
        
    if constant_managers4xi_param == 12:

        message2print = "{returning" + "; number-of-objects-manager4xireturning-by-constant-managers4xi: " + str(NUMBER_OF_OBJECTS_MANAGER4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)     
 
        return NUMBER_OF_OBJECTS_MANAGER4XI                                                       
        
    if constant_managers4xi_param == 13:

        message2print = "{returning" + "; pickle-manager4xireturning-by-constant-managers4xi: " + str(PICKLE_MANAGER4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)   
 
        return PICKLE_MANAGER4XI                                                       
        
    if constant_managers4xi_param == 14:

        message2print = "{returning" + "; proxy-manager4xireturning-by-constant-managers4xi: " + str(PROXY_MANAGER4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)      
 
        return PROXY_MANAGER4XI                                                       
        
    if constant_managers4xi_param == 15:

        message2print = "{returning" + "; return-manager4xireturning-by-constant-managers4xi: " + str(RETURN_MANAGER4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)     
 
        return RETURN_MANAGER4XI                                                      
        
    if constant_managers4xi_param == 16:

        message2print = "{returning" + "; set-manager4xireturning-by-constant-managers4xi: " + str(SET_MANAGER4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)          
 
        return SET_MANAGER4XI                                                        
        
    if constant_managers4xi_param == 17:
        message2print = "{returning" + "; shutdown-manager4xireturning-by-constant-managers4xi: " + str(SHUTDOWN_MANAGER4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 

        return SHUTDOWN_MANAGER4XI                                                        
        
    if constant_managers4xi_param == 18:

        message2print = "{returning" + "; started-manager4xireturning-by-constant-managers4xi: " + str(STARTED_MANAGER4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)       
 
        return STARTED_MANAGER4XI                                                       
        
    if constant_managers4xi_param == 19:

        message2print = "{returning" + "; stop-manager4xireturning-by-constant-managers4xi: " + str(STOP_MANAGER4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)       
 
        return STOP_MANAGER4XI                                                        
        
    if constant_managers4xi_param == 20:

        message2print = "{returning" + "; traceback-manager4xireturning-by-constant-managers4xi: " + str(TRACEBACK_MANAGER4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)         
 
        return TRACEBACK_MANAGER4XI                                                       

    if constant_managers4xi_param == 21:

        message2print = "{returning" + "; typeid-manager4xireturning-by-constant-managers4xi: " + str(TYPEID_MANAGER4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)       
 
        return TYPEID_MANAGER4XI                                                        
        
    if constant_managers4xi_param == 22:

        message2print = "{returning" + "; unserializable-manager4xireturning-by-constant-managers4xi: " + str(UNSERIALIZABLE_MANAGER4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)      
 
        return UNSERIALIZABLE_MANAGER4XI                                                        
        
    if constant_managers4xi_param == 23:

        message2print = "{returning" + "; value-manager4xireturning-by-constant-managers4xi: " + str(VALUE_MANAGER4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)     
 
        return VALUE_MANAGER4XI                                                        
        
    if constant_managers4xi_param == 24:

        message2print = "{returning" + "; wait-manager4xireturning-by-constant-managers4xi: " + str(WAIT_MANAGER4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)        
 
        return WAIT_MANAGER4XI                                                        
        
    if constant_managers4xi_param == 25:

        message2print = "{returning" + "; 26returning-by-constant-managers4xi: " + str(26) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
        return 26                                                       
        
    if constant_managers4xi_param == 26:

        message2print = "{returning" + "; 27returning-by-constant-managers4xi: " + str(27) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)          
 
        return 27                                                        
        
    if constant_managers4xi_param == 27:

        message2print = "{returning" + "; 28returning-by-constant-managers4xi: " + str(28) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)        
 
        return 28                                                        
        
    if constant_managers4xi_param == 28:

        message2print = "{returning" + "; 29returning-by-constant-managers4xi: " + str(29) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)            
 
        return 29                                                        
        
    if constant_managers4xi_param == 29:

        message2print = "{returning" + "; 30returning-by-constant-managers4xi: " + str(30) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)         
 
        return 30                                                        
        
    if constant_managers4xi_param == 30:

        message2print = "{returning" + "; 31returning-by-constant-managers4xi: " + str(31) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)          
 
        return 31 
        
    if constant_managers4xi_param == 31:

        message2print = "{returning" + "; 32returning-by-constant-managers4xi: " + str(32) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)         
 
        return 32            
                          
    if constant_managers4xi_param == 32:

        message2print = "{returning" + "; 33returning-by-constant-managers4xi: " + str(33) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)           
 
        return 33
                  
    message2print = "{returning" + "; Falsereturning-by-constant-managers4xi: " + str(False) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print) 
    
    return False        
#</function4xi> 

 

 
#2#   
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-backlog-manager4xi" usage = "
# initializes BACKLOG_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_backlog_manager4xi(init_backlog_manager4xi_param= 5):          
    '''
    init_backlog_manager4xi initializes BACKLOG_MANAGER4XI
    '''
    global BACKLOG_MANAGER4XI
    
    class2print = 'init_backlog_manager4xi'
    method2print = 'init_backlog_manager4xi'    
    
    message2print = "{started" + "; init-backlog-manager4xi-started: " + str(init_backlog_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; init-backlog-manager4xi-param-passed-to-init-backlog-manager4xi: " + str(init_backlog_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
       
    
    BACKLOG_MANAGER4XI = init_backlog_manager4xi_param
    
    
    message2print = "{initialized" + "; backlog-manager4xi-initialized-by-init-backlog-manager4xi to: " + str(BACKLOG_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
  
    message2print = "{returning" + "; init-backlog-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
   
#</function4xi> 

 

# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-backlog-manager4xi" usage = "
# sets BACKLOG_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_backlog_manager4xi(set_backlog_manager4xi_param= 5):          
    '''
    set_backlog_manager4xi sets BACKLOG_MANAGER4XI
    '''
    global BACKLOG_MANAGER4XI
    
    class2print = 'set_backlog_manager4xi'
    method2print = 'set_backlog_manager4xi'    
    
    message2print = "{started" + "; set-backlog-manager4xi-started: " + str(set_backlog_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; set-backlog-manager4xi-param-passed-to-set-backlog-manager4xi: " + str(set_backlog_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
     
     
    BACKLOG_MANAGER4XI = set_backlog_manager4xi_param
        
    message2print = "{set" + "; backlog-manager4xi-set-by-set-backlog-manager4xi to: " + str(BACKLOG_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
      

    message2print = "{returning" + "; set-backlog-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
   
#</function4xi> 

     
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-backlog-manager4xi" usage = "
# gets BACKLOG_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_backlog_manager4xi():          
    '''
    get_backlog_manager4xi gets BACKLOG_MANAGER4XI
    '''
    global BACKLOG_MANAGER4XI
    
    class2print = 'get_backlog_manager4xi'
    method2print = 'get_backlog_manager4xi'    
    
    message2print = "{started" + "; get-backlog-manager4xi-started: " + str(get_backlog_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
        
    if BACKLOG_MANAGER4XI is None:
        init_backlog_manager4xi(5)
    
    message2print = "{returning" + "; backlog-manager4xi-returning-by-get-backlog-manager4xi: " + str(BACKLOG_MANAGER4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
       

    return BACKLOG_MANAGER4XI    
#</function4xi> 

  
    
#3#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-clear-manager4xi" usage = "
# initializes CLEAR_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_clear_manager4xi(init_clear_manager4xi_param = 'clear'):          
    '''
    init_clear_manager4xi initializes CLEAR_MANAGER4XI
    '''
    global CLEAR_MANAGER4XI
    
    class2print = 'init_clear_manager4xi'
    method2print = 'init_clear_manager4xi'    
    
    message2print = "{started" + "; init-clear-manager4xi-started: " + str(init_clear_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
    
    message2print = "{passed" + "; init-clear-manager4xi-param-passed-to-init-clear-manager4xi: " + str(init_clear_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
        
    
    CLEAR_MANAGER4XI = init_clear_manager4xi_param

    message2print = "{initialized" + "; clear-manager4xi-initialized-by-init-clear-manager4xi to: " + str(CLEAR_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
        

    message2print = "{returning" + "; init-clear-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
     
#</function4xi> 

 
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-clear-manager4xi" usage = "
# sets CLEAR_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_clear_manager4xi(set_clear_manager4xi_param = 'clear'):          
    '''
    set_clear_manager4xi sets CLEAR_MANAGER4XI
    '''
    global CLEAR_MANAGER4XI
    
    class2print = 'set_clear_manager4xi'
    method2print = 'set_clear_manager4xi'    
    
    message2print = "{started" + "; set-clear-manager4xi-started: " + str(set_clear_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; set-clear-manager4xi-param-passed-to-set-clear-manager4xi: " + str(set_clear_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
     
     
    CLEAR_MANAGER4XI = set_clear_manager4xi_param
        
    message2print = "{set" + "; clear-manager4xi-set-by-set-clear-manager4xi to: " + str(CLEAR_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
      

    message2print = "{returning" + "; set-clear-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
   
#</function4xi> 

     
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-clear-manager4xi" usage = "
# gets CLEAR_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_clear_manager4xi():           
    '''
    get_clear_manager4xi gets CLEAR_MANAGER4XI
    '''
    global CLEAR_MANAGER4XI
    
    class2print = 'get_clear_manager4xi'
    method2print = 'get_clear_manager4xi'    
    
    message2print = "{started" + "; get-clear-manager4xi-started: " + str(get_clear_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
      
    
    if CLEAR_MANAGER4XI is None:
        init_clear_manager4xi('clear')
    
    
    message2print = "{returning" + "; clear-manager4xi-returning-by-get-clear-manager4xi: " + str(CLEAR_MANAGER4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
   
    
    return CLEAR_MANAGER4XI        
#</function4xi> 

 
#4#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-create-manager4xi" usage = "
# initializes CREATE_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_create_manager4xi(init_create_manager4xi_param = 'create'):          
    '''
    init_create_manager4xi initializes CREATE_MANAGER4XI
    '''
    global CREATE_MANAGER4XI
    
    class2print = 'init_create_manager4xi'
    method2print = 'init_create_manager4xi'    
    
    message2print = "{started" + "; init-create-manager4xi-started: " + str(init_create_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; init-create-manager4xi-param-passed-to-init-create-manager4xi: " + str(init_create_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
     
    
    CREATE_MANAGER4XI = init_create_manager4xi_param
    

    message2print = "{initialized" + "; create-manager4xi-initialized-by-init-create-manager4xi to: " + str(CREATE_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
  

    message2print = "{returning" + "; init-create-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
   
#</function4xi> 

 
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-create-manager4xi" usage = "
# sets CREATE_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_create_manager4xi(set_create_manager4xi_param = 'create'):          
    '''
    set_create_manager4xi sets CREATE_MANAGER4XI
    '''
    global CREATE_MANAGER4XI
    
    class2print = 'set_create_manager4xi'
    method2print = 'set_create_manager4xi'    
    
    message2print = "{started" + "; set-create-manager4xi-started: " + str(set_create_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; set-create-manager4xi-param-passed-to-set-create-manager4xi: " + str(set_create_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
   
     
    CREATE_MANAGER4XI = set_create_manager4xi_param
    
        
    message2print = "{set" + "; create-manager4xi-set-by-set-create-manager4xi to: " + str(CREATE_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
  

    message2print = "{returning" + "; set-create-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
    
#</function4xi> 

     
    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-create-manager4xi" usage = "
# gets CREATE_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_create_manager4xi():          
    '''
    get_create_manager4xi gets CREATE_MANAGER4XI
    '''
    global CREATE_MANAGER4XI
    
    class2print = 'get_create_manager4xi'
    method2print = 'get_create_manager4xi'    
    
    
    message2print = "{started" + "; get-create-manager4xi-started: " + str(get_create_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
      
    if CREATE_MANAGER4XI is None:
        init_create_manager4xi('create')    
    
    
    message2print = "{returning" + "; create-manager4xi-returning-by-get-create-manager4xi: " + str(CREATE_MANAGER4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
   
    
    return CREATE_MANAGER4XI               
#</function4xi> 

     
    
    
#5#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-debug-info-manager4xi" usage = "
# initializes DEBUG_INFO_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_debug_info_manager4xi(init_debug_info_manager4xi_param = 'debug_info'):          
    '''
    init_debug_info_manager4xi initializes DEBUG_INFO_MANAGER4XI
    '''
    global DEBUG_INFO_MANAGER4XI
    
    class2print = 'init_debug_info_manager4xi'
    method2print = 'init_debug_info_manager4xi'    
    
    message2print = "{started" + "; init-debug-info-manager4xi-started: " + str(init_debug_info_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; init-debug-info-manager4xi-param-passed-to-init-debug-info-manager4xi: " + str(init_debug_info_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
  
    
    DEBUG_INFO_MANAGER4XI = init_debug_info_manager4xi_param
    

    message2print = "{initialized" + "; debug-info-manager4xi-initialized-by-init-debug-info-manager4xi to: " + str(DEBUG_INFO_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
  

    message2print = "{returning" + "; init-debug-info-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
  
#</function4xi> 

 
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-debug-info-manager4xi" usage = "
# sets DEBUG_INFO_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_debug_info_manager4xi(set_debug_info_manager4xi_param = 'debug_info'):          
    '''
    set_debug_info_manager4xi sets DEBUG_INFO_MANAGER4XI
    '''
    global DEBUG_INFO_MANAGER4XI
    
    class2print = 'set_debug_info_manager4xi'
    method2print = 'set_debug_info_manager4xi'    
    
    message2print = "{started" + "; set-debug-info-manager4xi-started: " + str(set_debug_info_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; set-debug-info-manager4xi-param-passed-to-set-debug-info-manager4xi: " + str(set_debug_info_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
  
     
    DEBUG_INFO_MANAGER4XI = set_debug_info_manager4xi_param
        
    message2print = "{set" + "; debug-info-manager4xi-set-by-set-debug-info-manager4xi to: " + str(DEBUG_INFO_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
      

    message2print = "{returning" + "; set-debug-info-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
  
#</function4xi> 

     
    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-debug-info-manager4xi" usage = "
# gets DEBUG_INFO_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_debug_info_manager4xi():          
    '''
    get_debug_info_manager4xi gets DEBUG_INFO_MANAGER4XI
    '''
    global DEBUG_INFO_MANAGER4XI
    
    class2print = 'get_debug_info_manager4xi'
    method2print = 'get_debug_info_manager4xi'    
    
    message2print = "{started" + "; get-debug-info-manager4xi-started: " + str(get_debug_info_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
      
    
    if DEBUG_INFO_MANAGER4XI is None:
        init_debug_info_manager4xi('debug_info')    
    
    
    message2print = "{returning" + "; debug-info-manager4xi-returning-by-get-debug-info-manager4xi: " + str(DEBUG_INFO_MANAGER4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
   
    
    return DEBUG_INFO_MANAGER4XI        
#</function4xi> 

     
#6#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-dummy-manager4xi" usage = "
# initializes DUMMY_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_dummy_manager4xi(init_dummy_manager4xi_param = 'dummy'):          
    '''
    init_dummy_manager4xi initializes DUMMY_MANAGER4XI
    '''
    global DUMMY_MANAGER4XI
    
    class2print = 'init_dummy_manager4xi'
    method2print = 'init_dummy_manager4xi'    
    
    message2print = "{started" + "; init-dummy-manager4xi-started: " + str(init_dummy_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; init-dummy-manager4xi-param-passed-to-init-dummy-manager4xi: " + str(init_dummy_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    
    
    DUMMY_MANAGER4XI = init_dummy_manager4xi_param
    

    message2print = "{initialized" + "; dummy-manager4xi-initialized-by-init-dummy-manager4xi to: " + str(DUMMY_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
  

    message2print = "{returning" + "; init-dummy-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
  
#</function4xi> 

 

# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-dummy-manager4xi" usage = "
# sets DUMMY_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_dummy_manager4xi(set_dummy_manager4xi_param = 'dummy'):          
    '''
    set_dummy_manager4xi sets DUMMY_MANAGER4XI
    '''
    global DUMMY_MANAGER4XI
    
    class2print = 'set_dummy_manager4xi'
    method2print = 'set_dummy_manager4xi'    
    
    message2print = "{started" + "; set-dummy-manager4xi-started: " + str(set_dummy_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; set-dummy-manager4xi-param-passed-to-set-dummy-manager4xi: " + str(set_dummy_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
  
     
    DUMMY_MANAGER4XI = set_dummy_manager4xi_param
        
    message2print = "{set" + "; dummy-manager4xi-set-by-set-dummy-manager4xi to: " + str(DUMMY_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
      

    message2print = "{returning" + "; set-dummy-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
  
#</function4xi> 

     
    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-dummy-manager4xi" usage = "
# gets DUMMY_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_dummy_manager4xi():          
    '''
    get_dummy_manager4xi gets DUMMY_MANAGER4XI
    '''
    global DUMMY_MANAGER4XI
    
    class2print = 'get_dummy_manager4xi'
    method2print = 'get_dummy_manager4xi'    
    
    message2print = "{started" + "; get-dummy-manager4xi-started: " + str(get_dummy_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
      
    
    if DUMMY_MANAGER4XI is None:
        init_dummy_manager4xi('dummy')
    

    
    message2print = "{returning" + "; dummy-manager4xi-returning-by-get-dummy-manager4xi: " + str(DUMMY_MANAGER4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
   
    
    return DUMMY_MANAGER4XI        
#</function4xi> 

     
#7#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-error-manager4xi" usage = "
# initializes ERROR_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_error_manager4xi(init_error_manager4xi_param = '#ERROR'):          
    '''
    init_error_manager4xi initializes ERROR_MANAGER4XI
    '''
    global ERROR_MANAGER4XI
    
    class2print = 'init_error_manager4xi'
    method2print = 'init_error_manager4xi'    
    
    message2print = "{started" + "; init-error-manager4xi-started: " + str(init_error_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    message2print = "{passed" + "; init-error-manager4xi-param-passed-to-init-error-manager4xi: " + str(init_error_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
      
 
    
    ERROR_MANAGER4XI = init_error_manager4xi_param

    message2print = "{initialized" + "; error-manager4xi-initialized-by-init-error-manager4xi to: " + str(ERROR_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
      

    message2print = "{returning" + "; init-error-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
  
#</function4xi> 

 
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-error-manager4xi" usage = "
# sets ERROR_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_error_manager4xi(set_error_manager4xi_param = '#ERROR'):          
    '''
    set_error_manager4xi sets ERROR_MANAGER4XI
    '''
    global ERROR_MANAGER4XI
    
    class2print = 'set_error_manager4xi'
    method2print = 'set_error_manager4xi'    
    
    message2print = "{started" + "; set-error-manager4xi-started: " + str(set_error_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; set-error-manager4xi-param-passed-to-set-error-manager4xi: " + str(set_error_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    
     
    ERROR_MANAGER4XI = set_error_manager4xi_param
        
    message2print = "{set" + "; error-manager4xi-set-by-set-error-manager4xi to: " + str(ERROR_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
      

    message2print = "{returning" + "; set-error-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
   
#</function4xi> 

     
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-error-manager4xi" usage = "
# gets ERROR_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_error_manager4xi():          
    '''
    get_error_manager4xi gets ERROR_MANAGER4XI
    '''
    global ERROR_MANAGER4XI
    
    class2print = 'get_error_manager4xi'
    method2print = 'get_error_manager4xi'    
    
    
    message2print = "{started" + "; get-error-manager4xi-started: " + str(get_error_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
      
    if ERROR_MANAGER4XI is None:
        init_error_manager4xi('#ERROR')
    
    
    message2print = "{returning" + "; error-manager4xi-returning-by-get-error-manager4xi: " + str(ERROR_MANAGER4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
   
    
    return ERROR_MANAGER4XI        
#</function4xi> 

     
#8#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-exitpriority-manager4xi" usage = "
# initializes EXITPRIORITY_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_exitpriority_manager4xi(init_exitpriority_manager4xi_param = 10):          
    '''
    init_exitpriority_manager4xi initializes EXITPRIORITY_MANAGER4XI
    '''
    global EXITPRIORITY_MANAGER4XI
    
    class2print = 'init_exitpriority_manager4xi'
    method2print = 'init_exitpriority_manager4xi'    
    
    message2print = "{started" + "; init-exitpriority-manager4xi-started: " + str(init_exitpriority_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; init-exitpriority-manager4xi-param-passed-to-init-exitpriority-manager4xi: " + str(init_exitpriority_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
  
    
    EXITPRIORITY_MANAGER4XI = init_exitpriority_manager4xi_param
    

    message2print = "{initialized" + "; exitpriority-manager4xi-initialized-by-init-exitpriority-manager4xi to: " + str(EXITPRIORITY_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
  

    message2print = "{returning" + "; init-exitpriority-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
  
#</function4xi> 

 

# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-exitpriority-manager4xi" usage = "
# sets EXITPRIORITY_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_exitpriority_manager4xi(set_exitpriority_manager4xi_param = 10):          
    '''
    set_exitpriority_manager4xi sets EXITPRIORITY_MANAGER4XI
    '''
    global EXITPRIORITY_MANAGER4XI
    
    class2print = 'set_exitpriority_manager4xi'
    method2print = 'set_exitpriority_manager4xi'    
    
    message2print = "{started" + "; set-exitpriority-manager4xi-started: " + str(set_exitpriority_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; set-exitpriority-manager4xi-param-passed-to-set-exitpriority-manager4xi: " + str(set_exitpriority_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
  
     
    EXITPRIORITY_MANAGER4XI = set_exitpriority_manager4xi_param
    
        
    message2print = "{set" + "; exitpriority-manager4xi-set-by-set-exitpriority-manager4xi to: " + str(EXITPRIORITY_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
  

    message2print = "{returning" + "; set-exitpriority-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
  
#</function4xi> 

     
    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-exitpriority-manager4xi" usage = "
# gets EXITPRIORITY_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_exitpriority_manager4xi():          
    '''
    get_exitpriority_manager4xi gets EXITPRIORITY_MANAGER4XI
    '''
    global EXITPRIORITY_MANAGER4XI
    
    class2print = 'get_exitpriority_manager4xi'
    method2print = 'get_exitpriority_manager4xi'    
    
    message2print = "{started" + "; get-exitpriority-manager4xi-started: " + str(get_exitpriority_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
      
    
    if EXITPRIORITY_MANAGER4XI is None:
        init_exitpriority_manager4xi(10)
    
    
    message2print = "{returning" + "; exitpriority-manager4xi-returning-by-get-exitpriority-manager4xi: " + str(EXITPRIORITY_MANAGER4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
   
    
    return EXITPRIORITY_MANAGER4XI        
#</function4xi> 

     
#9#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-getvalue-manager4xi" usage = "
# initializes GETVALUE_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_getvalue_manager4xi(init_getvalue_manager4xi_param = '#GETVALUE'):          
    '''
    init_getvalue_manager4xi initializes GETVALUE_MANAGER4XI
    '''
    global GETVALUE_MANAGER4XI
    
    class2print = 'init_getvalue_manager4xi'
    method2print = 'init_getvalue_manager4xi'    
    
    message2print = "{started" + "; init-getvalue-manager4xi-started: " + str(init_getvalue_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; init-getvalue-manager4xi-param-passed-to-init-getvalue-manager4xi: " + str(init_getvalue_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
     
    
    GETVALUE_MANAGER4XI = init_getvalue_manager4xi_param
    

    message2print = "{initialized" + "; getvalue-manager4xi-initialized-by-init-getvalue-manager4xi to: " + str(GETVALUE_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
  

    message2print = "{returning" + "; init-getvalue-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
  
#</function4xi> 

 
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-getvalue-manager4xi" usage = "
# sets GETVALUE_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_getvalue_manager4xi(set_getvalue_manager4xi_param = '#GETVALUE'):          
    '''
    set_getvalue_manager4xi sets GETVALUE_MANAGER4XI
    '''
    global GETVALUE_MANAGER4XI
    
    class2print = 'set_getvalue_manager4xi'
    method2print = 'set_getvalue_manager4xi'    
    
    message2print = "{started" + "; set-getvalue-manager4xi-started: " + str()  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; set-getvalue-manager4xi-param-passed-to-set-getvalue-manager4xi: " + str(set_getvalue_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
  
     
    GETVALUE_MANAGER4XI = set_getvalue_manager4xi_param
    
        
    message2print = "{set" + "; getvalue-manager4xi-set-by-set-getvalue-manager4xi to: " + str(GETVALUE_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
  

    message2print = "{returning" + "; set-getvalue-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
  
#</function4xi> 

     
    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-getvalue-manager4xi" usage = "
# gets GETVALUE_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_getvalue_manager4xi():          
    '''
    get_getvalue_manager4xi gets GETVALUE_MANAGER4XI
    '''
    global GETVALUE_MANAGER4XI
    
    class2print = 'get_getvalue_manager4xi'
    method2print = 'get_getvalue_manager4xi'    
    
    
    message2print = "{started" + "; get-getvalue-manager4xi-started: " + str(get_getvalue_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
      
    if GETVALUE_MANAGER4XI is None:
        init_getvalue_manager4xi('#GETVALUE')
    

    
    message2print = "{returning" + "; getvalue-manager4xi-returning-by-get-getvalue-manager4x: " + str(GETVALUE_MANAGER4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
   
    
    return GETVALUE_MANAGER4XI        
#</function4xi> 

     
#10#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-id-manager4xi" usage = "
# initializes ID_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_id_manager4xi(init_id_manager4xi_param = 'id'):          
    '''
    init_id_manager4xi initializes ID_MANAGER4XI
    '''
    global ID_MANAGER4XI
    
    class2print = 'init_id_manager4xi'
    method2print = 'init_id_manager4xi'    
    
    message2print = "{started" + "; init-id-manager4xi-started: " + str(init_id_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; init-id-manager4xi-param-passed-to-init-id-manager4xi: " + str(init_id_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
  
    
    ID_MANAGER4XI = init_id_manager4xi_param

    message2print = "{initialized" + "; id-manager4xi-initialized-by-init-id-manager4xi to: " + str(ID_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
      

    message2print = "{returning" + "; init-id-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
  
#</function4xi> 

 
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-id-manager4xi" usage = "
#  sets ID_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_id_manager4xi(set_id_manager4xi_param = 'id'):          
    '''
    set_id_manager4xi sets ID_MANAGER4XI
    '''
    global ID_MANAGER4XI
    
    class2print = 'set_id_manager4xi'
    method2print = 'set_id_manager4xi'    
    
    message2print = "{started" + "; set-id-manager4xi-started: " + str(set_id_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; set-id-manager4xi-param-passed-to-set-id-manager4xi: " + str(set_id_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    
     
    ID_MANAGER4XI = set_id_manager4xi_param
        
    message2print = "{set" + "; id-manager4xi-set-by-set-id-manager4xi to: " + str(ID_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
      

    message2print = "{returning" + "; set-id-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
  
#</function4xi> 

     
    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-id-manager4xi" usage = "
# gets ID_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_id_manager4xi():          
    '''
    get_id_manager4xi gets ID_MANAGER4XI
    '''
    global ID_MANAGER4XI
    
    class2print = 'get_id_manager4xi'
    method2print = 'get_id_manager4xi'    
    
    message2print = "{started" + "; get-id-manager4xi-started: " + str(get_id_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
      
    
    if ID_MANAGER4XI is None:
        init_id_manager4xi('id')
    
    
    message2print = "{returning" + "; id-manager4xi-returning-by-get-id-manager4xi: " + str(ID_MANAGER4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
   
    
    return ID_MANAGER4XI        
#</function4xi> 

     
#11#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-initial-manager4xi" usage = "
# initializes INITIAL_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_initial_manager4xi(init_initial_manager4xi_param = 0):          
    '''
    init_initial_manager4xi initializes INITIAL_MANAGER4XI
    '''
    global INITIAL_MANAGER4XI
    
    class2print = 'init_initial_manager4xi'
    method2print = 'init_initial_manager4xi'    
    
    message2print = "{started" + "; init-initial-manager4xi-started: " + str(init_initial_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; init-initial-manager4xi-param-passed-to-init-initial-manager4xi: " + str(init_initial_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    
    
    INITIAL_MANAGER4XI = init_initial_manager4xi_param
    

    message2print = "{initialized" + "; initial-manager4xi-initialized-by-init-initial-manager4xi to: " + str(INITIAL_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
  

    message2print = "{returning" + "; init-initial-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
  
#</function4xi> 

 

# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-initial-manager4xi" usage = "
# sets INITIAL_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_initial_manager4xi(set_initial_manager4xi_param = 0):          
    '''
    set_initial_manager4xi sets INITIAL_MANAGER4XI
    '''
    global INITIAL_MANAGER4XI
    
    class2print = 'set_initial_manager4xi'
    method2print = 'set_initial_manager4xi'    
    
    message2print = "{started" + "; set-initial-manager4xi-started: " + str(set_initial_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; set-initial-manager4xi-param-passed-to-set-initial-manager4xi: " + str(set_initial_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    
     
    INITIAL_MANAGER4XI = set_initial_manager4xi_param
    
        
    message2print = "{set" + "; initial-manager4xi-set-by-set-initial-manager4xi to: " + str(INITIAL_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
  

    message2print = "{returning" + "; set-initial-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
  
#</function4xi> 
 
     
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-initial-manager4xi" usage = "
# gets INITIAL_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_initial_manager4xi():          
    '''
    get_initial_manager4xi gets INITIAL_MANAGER4XI
    '''
    global INITIAL_MANAGER4XI
    
    class2print = 'get_initial_manager4xi'
    method2print = 'get_initial_manager4xi'    
    
    message2print = "{started" + "; get-initial-manager4xi-started: " + str(get_initial_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
      
    
    if INITIAL_MANAGER4XI is None:
        init_initial_manager4xi(0)    
    
    
    message2print = "{returning" + "; initial-manager4xi-returning-by-get-initial-manager4xi: " + str(INITIAL_MANAGER4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
   
    
    return INITIAL_MANAGER4XI        
#</function4xi> 

     
#12#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-is-set-manager4xi" usage = "
# initializes IS_SET_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_is_set_manager4xi(init_is_set_manager4xi_param = 'is_set'):          
    '''
    init_is_set_manager4xi initializes IS_SET_MANAGER4XI
    '''
    global IS_SET_MANAGER4XI
    
    class2print = 'init_is_set_manager4xi'
    method2print = 'init_is_set_manager4xi'    
    
    message2print = "{started" + "; init-is-set-manager4xi-started: " + str(init_is_set_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; init_is_set_manager4xi_param-passed-to-init-is-set-manager4xi: " + str(init_is_set_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
     
    
    IS_SET_MANAGER4XI = init_is_set_manager4xi_param
    

    message2print = "{initialized" + "; is-set-manager4xi-initialized-by-init-is-set-manager4xi to: " + str(IS_SET_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
  

    message2print = "{returning" + "; init-is-set-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
    
#</function4xi> 

 

# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-is-set-manager4xi" usage = "
# sets IS_SET_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_is_set_manager4xi(set_is_set_manager4xi_param = 'is_set'):          
    '''
    set_is_set_manager4xi sets IS_SET_MANAGER4XI
    '''
    global IS_SET_MANAGER4XI
    
    class2print = 'set_is_set_manager4xi'
    method2print = 'set_is_set_manager4xi'    
    
    message2print = "{started" + "; set-is-set-manager4xi-started: " + str(set_is_set_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; set-is-set-manager4xi_param-passed-to-set-is-set-manager4xi: " + str(set_is_set_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
       
     
    IS_SET_MANAGER4XI = set_is_set_manager4xi_param
    
        
    message2print = "{set" + "; is-set-manager4xi-set-by-set-is-set-manager4xi to: " + str(IS_SET_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
  

    message2print = "{returning" + "; set-is-set-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
     
#</function4xi> 

     
    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-is-set-manager4xi" usage = "
# gets IS_SET_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_is_set_manager4xi():          
    '''
    get_is_set_manager4xi gets IS_SET_MANAGER4XI
    '''
    global IS_SET_MANAGER4XI
    
    class2print = 'get_is_set_manager4xi'
    method2print = 'get_is_set_manager4xi'    
    
    
    message2print = "{started" + "; get-is-set-manager4xi-started: " + str(get_is_set_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
      
    if IS_SET_MANAGER4XI is None:
        init_is_set_manager4xi('is_set')    
    

    
    message2print = "{returning" + "; is-set-manager4xi-returning-by-get-is-set-manager4xi: " + str(IS_SET_MANAGER4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
   
    
    return IS_SET_MANAGER4XI        
#</function4xi> 

     
#13#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-number-of-objects-manager4xi" usage = "
# initializes NUMBER_OF_OBJECTS_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_number_of_objects_manager4xi(init_number_of_objects_manager4xi_param = 'number_of_objects'):          
    '''
    init_number_of_objects_manager4xi initializes NUMBER_OF_OBJECTS_MANAGER4XI
    '''
    global NUMBER_OF_OBJECTS_MANAGER4XI
    
    class2print = 'init_number_of_objects_manager4xi'
    method2print = 'init_number_of_objects_manager4xi'    
    
    message2print = "{started" + "; init-number-of-objects-manager4xi-started: " + str(init_number_of_objects_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; init-number-of-objects-manager4xi-param-passed-to-init-number-of-objects-manager4xi: " + str(init_number_of_objects_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    
    
    NUMBER_OF_OBJECTS_MANAGER4XI = init_number_of_objects_manager4xi_param
    

    message2print = "{initialized" + "; number-of-objects-manager4xi-initialized-by-init-number-of-objects-manager4xi to: " + str(NUMBER_OF_OBJECTS_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
  

    message2print = "{returning" + "; init-number-of-objects-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
     
#</function4xi> 

 

# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-number-of-objects-manager4xi" usage = "
# sets NUMBER_OF_OBJECTS_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_number_of_objects_manager4xi(set_number_of_objects_manager4xi_param = 'number_of_objects'):          
    '''
    set_number_of_objects_manager4xi sets NUMBER_OF_OBJECTS_MANAGER4XI
    '''
    global NUMBER_OF_OBJECTS_MANAGER4XI
    
    class2print = 'set_number_of_objects_manager4xi'
    method2print = 'set_number_of_objects_manager4xi'    
    
    message2print = "{started" + "; set-number-of-objects-manager4xi-started: " + str(set_number_of_objects_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; set-number-of-objects-manager4xi-param-passed-to-set-number-of-objects-manager4xi: " + str(set_number_of_objects_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
        
     
    NUMBER_OF_OBJECTS_MANAGER4XI = set_number_of_objects_manager4xi_param
    
        
    message2print = "{set" + "; number-of-objects-manager4xi-set-by-set-number-of-objects-manager4xi to: " + str(NUMBER_OF_OBJECTS_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
  

    message2print = "{returning" + "; set-number-of-objects-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
      
#</function4xi> 

     
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-number-of-objects-manager4xi" usage = "
# gets NUMBER_OF_OBJECTS_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_number_of_objects_manager4xi():          
    '''
    get_number_of_objects_manager4xi gets NUMBER_OF_OBJECTS_MANAGER4XI
    '''
    global NUMBER_OF_OBJECTS_MANAGER4XI
    
    class2print = 'get_number_of_objects_manager4xi'
    method2print = 'get_number_of_objects_manager4xi'    
    
    message2print = "{started" + "; get-number-of-objects-manager4xi-started: " + str(get_number_of_objects_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
      
    
    if NUMBER_OF_OBJECTS_MANAGER4XI is None:
        init_number_of_objects_manager4xi('number_of_objects')   
    

    
    message2print = "{returning" + "; number-of-objects-manager4xi-returning-by-get-number-of-objects-manager4xi: " + str(NUMBER_OF_OBJECTS_MANAGER4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
   
    
    return NUMBER_OF_OBJECTS_MANAGER4XI        
#</function4xi> 

     
#14#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-pickle-manager4xi" usage = "
# initializes PICKLE_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_pickle_manager4xi(init_pickle_manager4xi_param = 'pickle'):          
    '''
    init_pickle_manager4xi initializes PICKLE_MANAGER4XI
    '''
    global PICKLE_MANAGER4XI
    
    class2print = 'init_pickle_manager4xi'
    method2print = 'init_pickle_manager4xi'    
    
    message2print = "{started" + "; init-pickle-manager4xi-started: " + str(init_pickle_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; init-pickle-manager4xi-param-passed-to-init-pickle-manager4xi: " + str(init_pickle_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
  
    PICKLE_MANAGER4XI = init_pickle_manager4xi_param

    message2print = "{initialized" + "; pickle-manager4xi-initialized-by-init-pickle-manager4xi to: " + str(PICKLE_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
      

    message2print = "{returning" + "; init-pickle-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
      
#</function4xi> 

 

# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-pickle-manager4xi" usage = "
# sets PICKLE_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_pickle_manager4xi(set_pickle_manager4xi_param = 'pickle'):          
    '''
    set_pickle_manager4xi sets PICKLE_MANAGER4XI
    '''
    global PICKLE_MANAGER4XI
    
    class2print = 'set_pickle_manager4xi'
    method2print = 'set_pickle_manager4xi'    
    
    message2print = "{started" + "; set-pickle-manager4xi-started: " + str(set_pickle_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; set-pickle-manager4xi-param-passed-to-set-pickle-manager4xi: " + str(set_pickle_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    
     
    PICKLE_MANAGER4XI = set_pickle_manager4xi_param
    
        
    message2print = "{set" + "; pickle-manager4xi-set-by-set-pickle-manager4xi to: " + str(PICKLE_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
  
 
    message2print = "{returning" + "; set-pickle-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
  
#</function4xi> 

     
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-pickle-manager4xi" usage = "
# gets PICKLE_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_pickle_manager4xi():          
    '''
    get_pickle_manager4xi gets PICKLE_MANAGER4XI
    '''
    global PICKLE_MANAGER4XI
    
    class2print = 'get_pickle_manager4xi'
    method2print = 'get_pickle_manager4xi'    
    
    message2print = "{started" + "; get-pickle-manager4xi-started: " + str(get_pickle_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
      
    
    if PICKLE_MANAGER4XI is None:
        init_pickle_manager4xi('pickle')
    

    
    message2print = "{returning" + "; pickle-manager4xi-returning-by-get-pickle-manager4xi: " + str(PICKLE_MANAGER4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
   
    
    return PICKLE_MANAGER4XI        
#</function4xi> 

     
#15#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-proxy-manager4xi" usage = "
# initializes PROXY_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_proxy_manager4xi(init_proxy_manager4xi_param = '#PROXY'):          
    '''
    init_proxy_manager4xi initializes PROXY_MANAGER4XI
    '''
    global PROXY_MANAGER4XI
    
    class2print = 'init_proxy_manager4xi'
    method2print = 'init_proxy_manager4xi'    
    
    message2print = "{started" + "; init-proxy-manager4xi-started: " + str(init_proxy_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; init-proxy-manager4xi-param-passed-to-init-proxy-manager4xi: " + str(init_proxy_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    
    
    PROXY_MANAGER4XI = init_proxy_manager4xi_param
    

    message2print = "{initialized" + "; proxy-manager4xi-initialized-by-init-proxy-manager4xi to: " + str(PROXY_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
  

    message2print = "{returning" + "; init-proxy-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
  
#</function4xi> 

 
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-proxy-manager4xi" usage = "
# sets PROXY_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_proxy_manager4xi(set_proxy_manager4xi_param = '#PROXY'):          
    '''
    set_proxy_manager4xi sets PROXY_MANAGER4XI
    '''
    global PROXY_MANAGER4XI
    
    class2print = 'set_proxy_manager4xi'
    method2print = 'set_proxy_manager4xi'    
    
    message2print = "{started" + "; set-proxy-manager4xi-started: " + str(set_proxy_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; set-proxy-manager4xi-param-passed-to-set-proxy-manager4xi: " + str(set_proxy_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
   
     
    PROXY_MANAGER4XI = set_proxy_manager4xi_param
    
        
    message2print = "{set" + "; proxy-manager4xi-set-by-set-proxy-manager4xi to: " + str(PROXY_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
  

    message2print = "{returning" + "; set-proxy-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
       
#</function4xi> 

     
    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-proxy-manager4xi" usage = "
# gets PROXY_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_proxy_manager4xi():          
    '''
    get_proxy_manager4xi gets PROXY_MANAGER4XI
    '''
    global PROXY_MANAGER4XI
    
    class2print = 'get_proxy_manager4xi'
    method2print = 'get_proxy_manager4xi'    
    
    
    message2print = "{started" + "; get-proxy-manager4xi-started: " + str(get_proxy_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
      
    if PROXY_MANAGER4XI is None:
        init_proxy_manager4xi('#PROXY')
    

    
    message2print = "{returning" + "; proxy-manager4xi-returning-by-get-proxy-manager4xi: " + str(PROXY_MANAGER4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
   
    
    return PROXY_MANAGER4XI        
#</function4xi> 

     
    
#16#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-return-manager4xi" usage = "
# initializes RETURN_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_return_manager4xi(init_return_manager4x_param = '#RETURN'):          
    '''
    init_return_manager4xi initializes RETURN_MANAGER4XI
    '''
    global RETURN_MANAGER4XI
    
    class2print = 'init_return_manager4xi'
    method2print = 'init_return_manager4xi'    
    
    
    message2print = "{started" + "; init-return-manager4xi-started: " + str(init_return_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; init-return-manager4x-param-passed-to-init-return-manager4xi: " + str(init_return_manager4x_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
     
    
    RETURN_MANAGER4XI = init_return_manager4x_param


    message2print = "{initialized" + "; return-manager4xi-initialized-by-init-return-manager4xi to: " + str(RETURN_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
  

    message2print = "{returning" + "; init-return-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
     
#</function4xi> 

 
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-return-manager4xi" usage = "
# sets RETURN_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_return_manager4xi(set_return_manager4xi_param = '#RETURN'):          
    '''
    set_return_manager4xi sets RETURN_MANAGER4XI
    '''
    global RETURN_MANAGER4XI
    
    class2print = 'set_return_manager4xi'
    method2print = 'set_return_manager4xi'    
    
    message2print = "{started" + "; set-return-manager4xi-started: " + str(set_return_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; set-return-manager4xi-param-passed-to-set-return-manager4xi: " + str(set_return_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
  
     
    RETURN_MANAGER4XI = set_return_manager4xi_param
        
    message2print = "{set" + "; return-manager4xi-set-by-set-return-manager4xi to: " + str(RETURN_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
      

    message2print = "{returning" + "; set-return-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
   
#</function4xi> 

     
    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-return-manager4xi" usage = "
# gets RETURN_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_return_manager4xi():          
    '''
    get_return_manager4xi gets RETURN_MANAGER4XI
    '''
    global RETURN_MANAGER4XI
    
    class2print = 'get_return_manager4xi'
    method2print = 'get_return_manager4xi'    
    
    
    message2print = "{started" + "; get-return-manager4xi-started: " + str(get_return_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
      
    if RETURN_MANAGER4XI is None:
        init_return_manager4xi('#RETURN')
    

    
    message2print = "{returning" + "; return-manager4xi-returning-by-get-return-manager4xi: " + str(RETURN_MANAGER4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
   
    
    return RETURN_MANAGER4XI        
#</function4xi> 

     
#17#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-set-manager4xi" usage = "
# initializes SET_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_set_manager4xi(init_set_manager4xi_param = 'set'):          
    '''
    init_set_manager4xi initializes SET_MANAGER4XI
    '''
    global SET_MANAGER4XI
    
    class2print = 'init_set_manager4xi'
    method2print = 'init_set_manager4xi'    
    
    message2print = "{started" + "; init-set-manager4xi-started: " + str(init_set_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; init-set-manager4xi-param-passed-to-init-set-manager4xi: " + str(init_set_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
       
    
    SET_MANAGER4XI = init_set_manager4xi_param
    

    message2print = "{initialized" + "; set-manager4xi-initialized-by-init-set-manager4xi to: " + str(SET_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
  
    message2print = "{returning" + "; init-set-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
     
#</function4xi> 

 

# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-set-manager4xi" usage = "
# sets SET_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_set_manager4xi(set_set_manager4xi_param = 'set'):          
    '''
    set_set_manager4xi sets SET_MANAGER4XI
    '''
    global SET_MANAGER4XI
    
    class2print = 'set_set_manager4xi'
    method2print = 'set_set_manager4xi'    
    
    message2print = "{started" + "; set-set-manager4xi-started: " + str(set_set_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; set-set-manager4xi-param-passed-to-set-set-manager4xi: " + str(set_set_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
       
     
    SET_MANAGER4XI = set_set_manager4xi_param
        
    message2print = "{set" + "; set-manager4xi-set-by-set-set-manager4xi to: " + str(SET_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
      

    message2print = "{returning" + "; set-set-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
   
#</function4xi> 

     
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-set-manager4xi" usage = "
# gets SET_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_set_manager4xi():          
    '''
    get_set_manager4xi gets SET_MANAGER4XI
    '''
    global SET_MANAGER4XI
    
    class2print = 'get_set_manager4xi'
    method2print = 'get_set_manager4xi'    
    
    
    message2print = "{started" + "; get-set-manager4xi-started: " + str(get_set_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
      
    if SET_MANAGER4XI is None:
        init_set_manager4xi('set')
    
    
    message2print = "{returning" + "; set-manager4xi-returning-by-get-set-manager4xi: " + str(SET_MANAGER4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
   
    
    return SET_MANAGER4XI        
#</function4xi> 

     
#18#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-shutdown-manager4xi" usage = "
# initializes SHUTDOWN_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_shutdown_manager4xi(init_shutdown_manager4xi_param = 2):          
    '''
    init_shutdown_manager4xi initializes SHUTDOWN_MANAGER4XI
    '''
    global SHUTDOWN_MANAGER4XI
    
    class2print = 'init_shutdown_manager4xi'
    method2print = 'init_shutdown_manager4xi'    
    
    message2print = "{started" + "; init-shutdown-manager4xi-started: " + str(init_shutdown_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; init-shutdown_manager4xi-param-passed-to-init-shutdown-manager4xi: " + str(init_shutdown_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
      
    
    SHUTDOWN_MANAGER4XI = init_shutdown_manager4xi_param

    message2print = "{initialized" + "; shutdown-manager4xi-initialized-by-init-shutdown-manager4xi to: " + str(SHUTDOWN_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
      

    message2print = "{returning" + "; init-shutdown-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
        
#</function4xi> 

 
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-shutdown-manager4xi" usage = "
# sets SHUTDOWN_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_shutdown_manager4xi(set_shutdown_manager4x_param = 2):          
    '''
    set_shutdown_manager4xi sets SHUTDOWN_MANAGER4XI
    '''
    global SHUTDOWN_MANAGER4XI
    
    class2print = 'set_shutdown_manager4xi'
    method2print = 'set_shutdown_manager4xi'    
    
    message2print = "{started" + "; set-shutdown-manager4xi-started: " + str(set_shutdown_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; set-shutdown-manager4x-param-passed-to-set-shutdown-manager4xi: " + str(set_shutdown_manager4x_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
  
     
    SHUTDOWN_MANAGER4XI = set_shutdown_manager4x_param
        
    message2print = "{set" + "; shutdown-manager4xi-set-by-set-shutdown-manager4xi to: " + str(SHUTDOWN_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
      

    message2print = "{returning" + "; set-shutdown-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
  
#</function4xi> 

     
    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-shutdown-manager4xi" usage = "
# gets SHUTDOWN_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_shutdown_manager4xi():          
    '''
    get_shutdown_manager4xi gets SHUTDOWN_MANAGER4XI
    '''
    global SHUTDOWN_MANAGER4XI
    
    class2print = 'get_shutdown_manager4xi'
    method2print = 'get_shutdown_manager4xi'    
    
    message2print = "{started" + "; get-shutdown-manager4xi-started: " + str(get_shutdown_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
      
    
    if SHUTDOWN_MANAGER4XI is None:
        init_shutdown_manager4xi(2)
    
    
    message2print = "{returning" + "; shutdown-manager4xi-returning-by-get-shutdown-manager4xi: " + str(SHUTDOWN_MANAGER4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
   
    
    return SHUTDOWN_MANAGER4XI        
#</function4xi> 

     
#19#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-started-manager4xi" usage = "
# initializes STARTED_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_started_manager4xi(init_started_manager4xi_param = 1):          
    '''
    init_started_manager4xi initializes STARTED_MANAGER4XI
    '''
    global STARTED_MANAGER4XI
    
    class2print = 'init_started_manager4xi'
    method2print = 'init_started_manager4xi'    
    
    message2print = "{started" + "; init-started-manager4xi-started: " + str(init_started_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; init-started-manager4xi-param-passed-to-init-started-manager4xi: " + str(init_started_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    
    
    STARTED_MANAGER4XI = init_started_manager4xi_param
    

    message2print = "{initialized" + "; started-manager4xi-initialized-by-init-started-manager4xi to: " + str(STARTED_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
  
    message2print = "{returning" + "; init-started-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
     
#</function4xi> 

 
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-started-manager4xi" usage = "
# sets STARTED_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_started_manager4xi(set_started_manager4xi_param = 1):          
    '''
    set_started_manager4xi sets STARTED_MANAGER4XI
    '''
    global STARTED_MANAGER4XI
    
    class2print = 'set_started_manager4xi'
    method2print = 'set_started_manager4xi'    
    
    message2print = "{started" + "; set-started-manager4xi-started: " + str(set_started_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; set-started-manager4xi-param-passed-to-set-started-manager4xi: " + str(set_started_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
  
    STARTED_MANAGER4XI = set_started_manager4xi_param
        
    message2print = "{set" + "; started-manager4xi-set-by-set-started-manager4xi to: " + str(STARTED_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
      

    message2print = "{returning" + "; set-started-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
  
#</function4xi> 

     
    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-started-manager4xi" usage = "
# gets STARTED_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_started_manager4xi():          
    '''
    get_started_manager4xi gets STARTED_MANAGER4XI
    '''
    global STARTED_MANAGER4XI
    
    class2print = 'get_started_manager4xi'
    method2print = 'get_started_manager4xi'    
    
    
    message2print = "{started" + "; get-started-manager4xi-started: " + str(get_started_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
      
    if STARTED_MANAGER4XI is None:
         init_started_manager4xi(1)    
    
    
    message2print = "{returning" + "; started-manager4xi-returning-by-get-started-manager4xi: " + str(STARTED_MANAGER4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
   
    
    return STARTED_MANAGER4XI        
#</function4xi> 

     
#20#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-stop-manager4xi" usage = "
# initializes STOP_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_stop_manager4xi(init_stop_manager4xi_param = 999):          
    '''
    init_stop_manager4xi initializes STOP_MANAGER4XI
    '''
    global STOP_MANAGER4XI
    
    class2print = 'init_stop_manager4xi'
    method2print = 'init_stop_manager4xi'    
    
    message2print = "{started" + "; init-stop-manager4xi-started: " + str(init_stop_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; init-stop-manager4xi-param-passed-to-init-stop-manager4xi: " + str(init_stop_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
     
    
    STOP_MANAGER4XI = init_stop_manager4xi_param
    

    message2print = "{initialized" + "; stop-manager4xi-initialized-by-init-stop-manager4xi to: " + str(STOP_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
  

    message2print = "{returning" + "; init-stop-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
     
#</function4xi> 

 
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-stop-manager4xi" usage = "
# sets STOP_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_stop_manager4xi(set_stop_manager4xi_param = 999):          
    '''
    set_stop_manager4xi sets STOP_MANAGER4XI
    '''
    global STOP_MANAGER4XI
    
    class2print = 'set_stop_manager4xi'
    method2print = 'set_stop_manager4xi'    
    
    message2print = "{started" + "; set-stop-manager4xi-started: " + str(set_stop_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; set-stop-manager4xi-param-passed-to-set-stop-manager4xi: " + str(set_stop_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
  
     
    STOP_MANAGER4XI = set_stop_manager4xi_param
    
        
    message2print = "{set" + "; stop-manager4xi-set-by-set-stop-manager4xi to: " + str(STOP_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
  

    message2print = "{returning" + "; set-stop-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
      
#</function4xi> 

     
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-stop-manager4xi" usage = "
# gets STOP_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_stop_manager4xi():          
    '''
    get_stop_manager4xi gets STOP_MANAGER4XI
    '''
    global STOP_MANAGER4XI
    
    class2print = 'get_stop_manager4xi'
    method2print = 'get_stop_manager4xi'    
    
    
    message2print = "{started" + "; get-stop-manager4xi-started: " + str(get_stop_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
      
    if STOP_MANAGER4XI is None:
        init_stop_manager4xi(999)
    

    
    message2print = "{returning" + "; stop-manager4xi-returning-by-get-stop-manager4xi: " + str(STOP_MANAGER4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
   
    
    return STOP_MANAGER4XI        
#</function4xi> 

     
#21#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-traceback-manager4xi" usage = "
# initializes TRACEBACK_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_traceback_manager4xi(init_traceback_manager4x_param = '#TRACEBACK'):          
    '''
    init_traceback_manager4xi initializes TRACEBACK_MANAGER4XI
    '''
    global TRACEBACK_MANAGER4XI
    
    class2print = 'init_traceback_manager4xi'
    method2print = 'init_traceback_manager4xi'    
    
    message2print = "{started" + "; init-traceback-manager4xi-started: " + str(init_traceback_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; init-traceback-manager4x-param-passed-to-init-traceback-manager4xi: " + str(init_traceback_manager4x_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    
    
    TRACEBACK_MANAGER4XI = init_traceback_manager4x_param
    

    message2print = "{initialized" + "; traceback-manager4xi-initialized-by-init-traceback-manager4xi to: " + str(TRACEBACK_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
  

    message2print = "{returning" + "; init-traceback-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
       
#</function4xi> 

 
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-traceback-manager4xi" usage = "
# sets TRACEBACK_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_traceback_manager4xi(set_traceback_manager4xi_param = '#TRACEBACK'):          
    '''
    set_traceback_manager4xi sets TRACEBACK_MANAGER4XI
    '''
    global TRACEBACK_MANAGER4XI
    
    class2print = 'set_traceback_manager4xi'
    method2print = 'set_traceback_manager4xi'    
    
    message2print = "{started" + "; set-traceback-manager4xi-started: " + str(set_traceback_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; set-traceback-manager4xi-param-passed-to-set-traceback-manager4xi: " + str(set_traceback_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    
     
    TRACEBACK_MANAGER4XI = set_traceback_manager4xi_param
    
        
    message2print = "{set" + "; traceback-manager4xi-set-by-set-traceback-manager4xi to: " + str(TRACEBACK_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
  

    message2print = "{returning" + "; set-traceback-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
    
#</function4xi> 
 
     
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-traceback-manager4xi" usage = "
# gets TRACEBACK_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_traceback_manager4xi():          
    '''
    get_traceback_manager4xi gets TRACEBACK_MANAGER4XI
    '''
    global TRACEBACK_MANAGER4XI
    
    class2print = 'get_traceback_manager4xi'
    method2print = 'get_traceback_manager4xi'    
    
    message2print = "{started" + "; get-traceback-manager4xi-started: " + str(get_traceback_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
      
    
    if TRACEBACK_MANAGER4XI is None:
        init_traceback_manager4xi('#TRACEBACK')
    

    
    message2print = "{returning" + "; traceback-manager4xi-returning-by-get-traceback-manager4xi: " + str(TRACEBACK_MANAGER4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
   
    
    return TRACEBACK_MANAGER4XI        
#</function4xi> 

     
#22#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-typeid-manager4xi" usage = "
# initializes TYPEID_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_typeid_manager4xi(init_typeid_manager4xi_param = 'typeid'):          
    '''
    init_typeid_manager4xi initializes TYPEID_MANAGER4XI
    '''
    global TYPEID_MANAGER4XI
    
    class2print = 'init_typeid_manager4xi'
    method2print = 'init_typeid_manager4xi'    
    
    message2print = "{started" + "; init-typeid-manager4xi-started: " + str(init_typeid_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; init-typeid-manager4xi-param-passed-to-init-typeid-manager4xi: " + str(init_typeid_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
     
    
    TYPEID_MANAGER4XI = init_typeid_manager4xi_param
    

    message2print = "{initialized" + "; typeid-manager4xI-initialized-by-init-typeid-manager4xi to: " + str(TYPEID_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
  
    message2print = "{returning" + "; init-typeid-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
    
#</function4xi> 

 

# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-typeid-manager4xi" usage = "
# sets TYPEID_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_typeid_manager4xi(set_typeid_manager4xi_param = 'typeid'):          
    '''
    set_typeid_manager4xi sets TYPEID_MANAGER4XI
    '''
    global TYPEID_MANAGER4XI
    
    class2print = 'set_typeid_manager4xi'
    method2print = 'set_typeid_manager4xi'    
    
    message2print = "{started" + "; set-typeid-manager4xi-started: " + str(set_typeid_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; set-typeid-manager4xi-param-passed-to-set-typeid-manager4xi: " + str(set_typeid_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
     
     
    TYPEID_MANAGER4XI = set_typeid_manager4xi_param
    
        
    message2print = "{set" + "; typeid-manager4xi-set-by-set-typeid-manager4xi to: " + str(TYPEID_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
  

    message2print = "{returning" + "; -returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
   
#</function4xi> 

     
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-typeid-manager4xi" usage = "
# gets TYPEID_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_typeid_manager4xi():          
    '''
    get_typeid_manager4xi gets TYPEID_MANAGER4XI
    '''
    global TYPEID_MANAGER4XI
    
    class2print = 'get_typeid_manager4xi'
    method2print = 'get_typeid_manager4xi'    
    
    message2print = "{started" + "; get-typeid-manager4xi-started: " + str(get_typeid_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
      
    
    if TYPEID_MANAGER4XI is None:
        init_typeid_manager4xi('typeid')
    

    
    message2print = "{returning" + "; typeid-manager4xi-returning-by-get-typeid-manager4xi: " + str(TYPEID_MANAGER4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
   
    
    return TYPEID_MANAGER4XI         
#</function4xi> 

     
#23#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-unserializable-manager4xi" usage = "
# initializes UNSERIALIZABLE_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_unserializable_manager4xi(init_unserializable_manager4xi_param = '#UNSERIALIZABLE'):          
    '''
    init_unserializable_manager4xi initializes UNSERIALIZABLE_MANAGER4XI
    '''
    global UNSERIALIZABLE_MANAGER4XI
    
    class2print = 'init_unserializable_manager4xi'
    method2print = 'init_unserializable_manager4xi'    
    
    message2print = "{started" + "; init-unserializable-manager4xi-started: " + str(init_unserializable_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; init-unserializable-manager4xi-param-passed-to-init-unserializable-manager4xi: " + str(init_unserializable_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
   
    
    UNSERIALIZABLE_MANAGER4XI = init_unserializable_manager4xi_param

    message2print = "{initialized" + "; unserializable-manager4xi-initialized-by-init-unserializable-manager4xi to: " + str(UNSERIALIZABLE_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
      

    message2print = "{returning" + "; init-unserializable-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
     
#</function4xi> 

 
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-unserializable-manager4xi" usage = "
# sets UNSERIALIZABLE_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_unserializable_manager4xi(set_unserializable_manager4xi_param = '#UNSERIALIZABLE'):          
    '''
    set_unserializable_manager4xi sets UNSERIALIZABLE_MANAGER4XI
    '''
    global UNSERIALIZABLE_MANAGER4XI
    
    class2print = 'set_unserializable_manager4xi'
    method2print = 'set_unserializable_manager4xi'    
    
    message2print = "{started" + "; set-unserializable-manager4xi-started: " + str(set_unserializable_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; set-unserializable-manager4xi-param-passed-to-set-unserializable-manager4xi: " + str(set_unserializable_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
       
     
    UNSERIALIZABLE_MANAGER4XI = set_unserializable_manager4xi_param
        
    message2print = "{set" + "; unserializable-manager4xi-set-by-set-unserializable-manager4xi to: " + str(UNSERIALIZABLE_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
      

    message2print = "{returning" + "; set-unserializable-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
     
#</function4xi> 

     
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-unserializable-manager4xi" usage = "
# gets UNSERIALIZABLE_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_unserializable_manager4xi():          
    '''
    get_unserializable_manager4xi gets UNSERIALIZABLE_MANAGER4XI
    '''
    global UNSERIALIZABLE_MANAGER4XI
    
    class2print = 'get_unserializable_manager4xi'
    method2print = 'get_unserializable_manager4xi'    
    
    
    message2print = "{started" + "; get-unserializable-manager4xi-started: " + str(get_unserializable_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
      
    if UNSERIALIZABLE_MANAGER4XI is None:
        init_unserializable_manager4xi('#UNSERIALIZABLE')
    
    
    message2print = "{returning" + "; unserializable-manager4xi-returning-by-get-unserializable-manager4xi: " + str(UNSERIALIZABLE_MANAGER4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
   
    
    return UNSERIALIZABLE_MANAGER4XI         
#</function4xi> 

     
#24#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-value-manager4xi" usage = "
# initializes VALUE_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_value_manager4xi(init_value_manager4xi_param = ['value']):          
    '''
    init_value_manager4xi initializes VALUE_MANAGER4XI
    '''
    global VALUE_MANAGER4XI
    
    class2print = 'init_value_manager4xi'
    method2print = 'init_value_manager4xi'    
    
    message2print = "{started" + "; init-value-manager4xi-started: " + str(init_value_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; init-value-manager4xi-param-passed-to-init-value-manager4xi: " + str(init_value_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
     
    
    VALUE_MANAGER4XI = init_value_manager4xi_param

    message2print = "{initialized" + "; value-manager4xi-initialized-by-init-value-manager4xi to: " + str(VALUE_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
      

    message2print = "{returning" + "; init-value-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
  
#</function4xi> 

 
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-value-manager4xi" usage = "
# sets VALUE_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_value_manager4xi(set_value_manager4xi_param = ['value']):          
    '''
    set_value_manager4xi sets VALUE_MANAGER4XI
    '''
    global VALUE_MANAGER4XI
    
    class2print = 'set_value_manager4xi'
    method2print = 'set_value_manager4xi'    
    
    message2print = "{started" + "; set-value-manager4xi-started: " + str(set_value_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; set-value-manager4xi-param-passed-to-set-value-manager4xi: " + str(set_value_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
      
     
    VALUE_MANAGER4XI = set_value_manager4xi_param
        
    message2print = "{set" + "; value-manager4xi-set-by- to: " + str(VALUE_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
      

    message2print = "{returning" + "; set-value-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
      
#</function4xi> 

     
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-value-manager4xi" usage = "
# gets VALUE_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_value_manager4xi():          
    '''
    get_value_manager4xi gets VALUE_MANAGER4XI
    '''
    global VALUE_MANAGER4XI
    
    class2print = 'get_value_manager4xi'
    method2print = 'get_value_manager4xi'    
    
    message2print = "{started" + "; get-value-manager4xi-started: " + str(get_value_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
      
    
    if VALUE_MANAGER4XI is None:
        init_value_manager4xi(['value'])
    

    
    message2print = "{returning" + "; value-manager4xi-returning-by-get-value-manager4xi: " + str(VALUE_MANAGER4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
   
    
    return VALUE_MANAGER4XI         
#</function4xi> 

     
#25#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-wait-manager4xi" usage = "
# initializes WAIT_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_wait_manager4xi(init_wait_manager4xi_param = 'wait'):          
    '''
    init_wait_manager4xi initializes WAIT_MANAGER4XI
    '''
    global WAIT_MANAGER4XI
    
    class2print = 'init_wait_manager4xi'
    method2print = 'init_wait_manager4xi'    
    
    message2print = "{started" + "; init-wait-manager4xi-started: " + str(init_wait_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; init-wait-manager4xi-param-passed-to-init-wait-manager4xi: " + str(init_wait_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
       
    
    WAIT_MANAGER4XI = init_wait_manager4xi_param

    message2print = "{initialized" + "; wait-manager4xi-initialized-by-init-wait-manager4xi to: " + str(WAIT_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
      

    message2print = "{returning" + "; init-wait-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
   
#</function4xi> 

 
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-wait-manager4xi" usage = "
# sets WAIT_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_wait_manager4xi(set_wait_manager4xi_param = 'wait'):          
    '''
    set_wait_manager4xi sets WAIT_MANAGER4XI
    '''
    global WAIT_MANAGER4XI
    
    class2print = 'set_wait_manager4xi'
    method2print = 'set_wait_manager4xi'    
    
    message2print = "{started" + "; set-wait-manager4xi-started: " + str(set_wait_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; set-wait-manager4xi-param-passed-to-set-wait-manager4xi: " + str(set_wait_manager4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
          
     
    WAIT_MANAGER4XI = set_wait_manager4xi_param
        
    message2print = "{set" + "; wait-manager4xi-set-by-set-wait-manager4xi to: " + str(WAIT_MANAGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
      

    message2print = "{returning" + "; set-wait-manager4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
    
#</function4xi> 

     
    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-wait-manager4xi" usage = "
# gets WAIT_MANAGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_wait_manager4xi():          
    '''
    get_wait_manager4xi gets WAIT_MANAGER4XI
    '''
    global WAIT_MANAGER4XI
    
    class2print = 'get_wait_manager4xi'
    method2print = 'get_wait_manager4xi'    
    
    message2print = "{started" + "; get-wait-manager4xi-started: " + str(get_wait_manager4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
      
    
    if WAIT_MANAGER4XI is None:
        init_wait_manager4xi('wait')
    

    
    message2print = "{returning" + "; wait-manager4xi-returning-by-get-wait-manager4xi: " + str(WAIT_MANAGER4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
   
    
    return WAIT_MANAGER4XI         
#</function4xi> 

     
#26#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-26pppppppp4xi" usage = "
# initializes PPPPPPPP
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_26pppppppp4xi(init_26pppppppp4xi_param):          
    '''
    initializes PPPPPPPP
    '''
    global PPPPPPPP
    
    class2print = 'init_26pppppppp4xi'
    method2print = 'init_26pppppppp4xi'    
       
    message2print = "{started" + "; init-26pppppppp4xi-started: " + str(init_26pppppppp4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; init-26pppppppp4xi-param-passed-to-init-26pppppppp4xi: " + str(init_26pppppppp4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
       
    
    PPPPPPPP = init_26pppppppp4xi_param

    message2print = "{initialized" + "; cccccccc-initialized-by-yyyyyyyy to: " + str(PPPPPPPP)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
      

    message2print = "{returning" + "; init-26pppppppp4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
  

#</function4xi> 

#26# 
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-26pppppppp4xi" usage = "
# sets PPPPPPPP
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_26pppppppp4xi(set_26pppppppp4xi_param = '26'):          
    '''
    sets PPPPPPPP
    '''
    global PPPPPPPP
    
    class2print = 'set_26pppppppp4xi'
    method2print = 'set_26pppppppp4xi'    
      
    message2print = "{started" + "; set-26pppppppp4xi-started: " + str(set_26pppppppp4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; set-26pppppppp4xi-param-passed-to-set-26pppppppp4xi: " + str(set_26pppppppp4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    
     
    PPPPPPPP = set_26pppppppp4xi_param
    
        
    message2print = "{set" + "; cccccccc-set-by-set-26pppppppp4xi to: " + str(PPPPPPPP)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
  
    message2print = "{returning" + "; set-26pppppppp4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
  
    
#</function4xi> 

#26#    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-26pppppppp4xi" usage = "
# gets PPPPPPPP
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_26pppppppp4xi():          
    '''
    gets PPPPPPPP
    '''
    global PPPPPPPP
    
    class2print = 'get_26pppppppp4xi'
    method2print = 'get_26pppppppp4xi'    
      
    message2print = "{started" + "; get-26pppppppp4xi-started: " + str(get_26pppppppp4xi)  + "; time: " + time4xi() + "}"
    
    message2print = "{returning" + "; cccccccc-returning-by-get-26pppppppp4xi: " + str(PPPPPPPP) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
        
      
    return PPPPPPPP 
            
#</function4xi> 

     
#27# 
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-27pppppppp4xi" usage = "
# inits PPPPPPPP
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_27pppppppp4xi(init_27pppppppp4xi_param = '27'):          
    '''
    inits PPPPPPPP
    '''
    global PPPPPPPP
    
    class2print = 'init_27pppppppp4xi'
    method2print = 'init_27pppppppp4xi'    
      
    message2print = "{started" + "; init-27pppppppp4xi-started: " + str(init_27pppppppp4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; init-27pppppppp4xi-param-passed-to-init-27pppppppp4xi: " + str(init_27pppppppp4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    
     
    PPPPPPPP = init_27pppppppp4xi_param
    
        
    message2print = "{initialized" + "; cccccccc-initialized-by-init-27pppppppp4xi to: " + str(PPPPPPPP)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
  
    message2print = "{returning" + "; init-27pppppppp4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
  
    
#</function4xi> 

#27# 
# -------------------------------------------------------------------------------------------------
#<function4xi function = "pppppppp" usage = "
# sets PPPPPPPP
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_27pppppppp4xi(set_27pppppppp4xi_param = '27'):          
    '''
    set_27set_27pppppppp4xi_param4xi sets PPPPPPPP
    '''
    global PPPPPPPP
    
    class2print = 'set_27pppppppp4xi'
    method2print = 'set_27pppppppp4xi'    
      
    message2print = "{started" + "; set-27pppppppp4xi-started: " + str(set_27pppppppp4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; set-27pppppppp4xi-param-passed-to-yyyyyyyy: " + str(set_27pppppppp4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
      
     
    PPPPPPPP = set_27pppppppp4xi_param
        
    message2print = "{set" + "; cccccccc-set-by-yyyyyyyy to: " + str(PPPPPPPP)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
      

    message2print = "{returning" + "; yyyyyyyy-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
     
#</function4xi> 

     
#27#    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-27pppppppp4xi" usage = "
# gets PPPPPPPP
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_27pppppppp4xi():          
    '''
    gets PPPPPPPP
    '''
    global PPPPPPPP
    
    class2print = 'get_27pppppppp4xi'
    method2print = 'get_27pppppppp4xi'    
      
    message2print = "{started" + "; get-27pppppppp4xi-started: " + str(get_27pppppppp4xi)  + "; time: " + time4xi() + "}"
    
    message2print = "{returning" + "; cccccccc-returning-by-get-27pppppppp4xi: " + str(PPPPPPPP) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
        
      
    return PPPPPPPP 
            
#</function4xi>  

     
#28#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-28pppppppp4xi" usage = "
# initializes PPPPPPPP
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_28pppppppp4xi(init_28pppppppp4xi_param):          
    '''
    initializes PPPPPPPP
    '''
    global PPPPPPPP
    
    class2print = 'init_28pppppppp4xi'
    method2print = 'init_28pppppppp4xi'    
       
    message2print = "{started" + "; init-28pppppppp4xi-started: " + str(init_28pppppppp4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; init-28pppppppp4xi-param-passed-to-init-28pppppppp4xi: " + str(init_28pppppppp4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
       
    
    PPPPPPPP = init_28pppppppp4xi_param

    message2print = "{initialized" + "; cccccccc-initialized-by-yyyyyyyy to: " + str(PPPPPPPP)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
      

    message2print = "{returning" + "; init-28pppppppp4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
  

#</function4xi> 

 
#28# 
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-28pppppppp4xi" usage = "
# sets PPPPPPPP
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_28pppppppp4xi(set_28pppppppp4xi_param = '28'):          
    '''
    sets PPPPPPPP
    '''
    global PPPPPPPP
    
    class2print = 'set_28pppppppp4xi'
    method2print = 'set_28pppppppp4xi'    
      
    message2print = "{started" + "; set-28pppppppp4xi-started: " + str(set_28pppppppp4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; set-28pppppppp4xi-param-passed-to-set-28pppppppp4xi: " + str(set_28pppppppp4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    
     
    PPPPPPPP = set_28pppppppp4xi_param
    
        
    message2print = "{set" + "; cccccccc-set-by-set-28pppppppp4xi to: " + str(PPPPPPPP)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
  
    message2print = "{returning" + "; set-28pppppppp4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
  
    
#</function4xi> 

     
#28#    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-28pppppppp4xi" usage = "
# gets PPPPPPPP
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_28pppppppp4xi():          
    '''
    gets PPPPPPPP
    '''
    global PPPPPPPP
    
    class2print = 'get_28pppppppp4xi'
    method2print = 'get_28pppppppp4xi'    
      
    message2print = "{started" + "; get-28pppppppp4xi-started: " + str(get_28pppppppp4xi)  + "; time: " + time4xi() + "}"
    
    message2print = "{returning" + "; cccccccc-returning-by-get-28pppppppp4xi: " + str(PPPPPPPP) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
        
      
    return PPPPPPPP 
            
#</function4xi> 

     
#29#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-29pppppppp4xi" usage = "
# initializes PPPPPPPP
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_29pppppppp4xi(init_29pppppppp4xi_param):          
    '''
    initializes PPPPPPPP
    '''
    global PPPPPPPP
    
    class2print = 'init_29pppppppp4xi'
    method2print = 'init_29pppppppp4xi'    
       
    message2print = "{started" + "; init-29pppppppp4xi-started: " + str(init_29pppppppp4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; init-29pppppppp4xi-param-passed-to-init-29pppppppp4xi: " + str(init_29pppppppp4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
       
    
    PPPPPPPP = init_29pppppppp4xi_param

    message2print = "{initialized" + "; cccccccc-initialized-by-yyyyyyyy to: " + str(PPPPPPPP)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
      

    message2print = "{returning" + "; init-29pppppppp4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
  

#</function4xi> 

 
#29# 
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-29pppppppp4xi" usage = "
# sets PPPPPPPP
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_29pppppppp4xi(set_29pppppppp4xi_param = '29'):          
    '''
    sets PPPPPPPP
    '''
    global PPPPPPPP
    
    class2print = 'set_29pppppppp4xi'
    method2print = 'set_29pppppppp4xi'    
      
    message2print = "{started" + "; set-29pppppppp4xi-started: " + str(set_29pppppppp4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; set-29pppppppp4xi-param-passed-to-set-29pppppppp4xi: " + str(set_29pppppppp4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    
     
    PPPPPPPP = set_29pppppppp4xi_param
    
        
    message2print = "{set" + "; cccccccc-set-by-set-29pppppppp4xi to: " + str(PPPPPPPP)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
  
    message2print = "{returning" + "; set-29pppppppp4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
  
    
#</function4xi> 

     
#29#    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-29pppppppp4xi" usage = "
# gets PPPPPPPP
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_29pppppppp4xi():          
    '''
    gets PPPPPPPP
    '''
    global PPPPPPPP
    
    class2print = 'get_29pppppppp4xi'
    method2print = 'get_29pppppppp4xi'    
      
    message2print = "{started" + "; get-29pppppppp4xi-started: " + str(get_29pppppppp4xi)  + "; time: " + time4xi() + "}"
    
    message2print = "{returning" + "; cccccccc-returning-by-get-29pppppppp4xi: " + str(PPPPPPPP) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
        
      
    return PPPPPPPP 
            
#</function4xi> 
     
#30#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-30pppppppp4xi" usage = "
# initializes PPPPPPPP
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_30pppppppp4xi(init_30pppppppp4xi_param):          
    '''
    initializes PPPPPPPP
    '''
    global PPPPPPPP
    
    class2print = 'init_30pppppppp4xi'
    method2print = 'init_30pppppppp4xi'    
       
    message2print = "{started" + "; init-30pppppppp4xi-started: " + str(init_30pppppppp4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; init-30pppppppp4xi-param-passed-to-init-30pppppppp4xi: " + str(init_30pppppppp4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
       
    
    PPPPPPPP = init_30pppppppp4xi_param

    message2print = "{initialized" + "; cccccccc-initialized-by-yyyyyyyy to: " + str(PPPPPPPP)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
      

    message2print = "{returning" + "; init-30pppppppp4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
  

#</function4xi> 


 

#30# 
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-30pppppppp4xi" usage = "
# sets PPPPPPPP
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_30pppppppp4xi(set_30pppppppp4xi_param = '30'):          
    '''
    sets PPPPPPPP
    '''
    global PPPPPPPP
    
    class2print = 'set_30pppppppp4xi'
    method2print = 'set_30pppppppp4xi'    
      
    message2print = "{started" + "; set-30pppppppp4xi-started: " + str(set_30pppppppp4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; set-30pppppppp4xi-param-passed-to-set-30pppppppp4xi: " + str(set_30pppppppp4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    
     
    PPPPPPPP = set_30pppppppp4xi_param
    
        
    message2print = "{set" + "; cccccccc-set-by-set-30pppppppp4xi to: " + str(PPPPPPPP)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
  
    message2print = "{returning" + "; set-30pppppppp4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
  
    
#</function4xi> 

     
#30#    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-30pppppppp4xi" usage = "
# gets PPPPPPPP
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_30pppppppp4xi():          
    '''
    gets PPPPPPPP
    '''
    global PPPPPPPP
    
    class2print = 'get_30pppppppp4xi'
    method2print = 'get_30pppppppp4xi'    
      
    message2print = "{started" + "; get-30pppppppp4xi-started: " + str(get_30pppppppp4xi)  + "; time: " + time4xi() + "}"
    
    message2print = "{returning" + "; cccccccc-returning-by-get-30pppppppp4xi: " + str(PPPPPPPP) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
        
      
    return PPPPPPPP 
            
#</function4xi> 

     
#31#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-31pppppppp4xi" usage = "
# initializes PPPPPPPP
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_31pppppppp4xi(init_31pppppppp4xi_param):          
    '''
    initializes PPPPPPPP
    '''
    global PPPPPPPP
    
    class2print = 'init_31pppppppp4xi'
    method2print = 'init_31pppppppp4xi'    
       
    message2print = "{started" + "; init-31pppppppp4xi-started: " + str(init_31pppppppp4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; init-31pppppppp4xi-param-passed-to-init-31pppppppp4xi: " + str(init_31pppppppp4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
       
    
    PPPPPPPP = init_31pppppppp4xi_param

    message2print = "{initialized" + "; cccccccc-initialized-by-yyyyyyyy to: " + str(PPPPPPPP)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
      

    message2print = "{returning" + "; init-31pppppppp4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
  

#</function4xi> 


 

#31# 
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-31pppppppp4xi" usage = "
# sets PPPPPPPP
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_31pppppppp4xi(set_31pppppppp4xi_param = '31'):          
    '''
    sets PPPPPPPP
    '''
    global PPPPPPPP
    
    class2print = 'set_31pppppppp4xi'
    method2print = 'set_31pppppppp4xi'    
      
    message2print = "{started" + "; set-31pppppppp4xi-started: " + str(set_31pppppppp4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; set-31pppppppp4xi-param-passed-to-set-31pppppppp4xi: " + str(set_31pppppppp4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    
     
    PPPPPPPP = set_31pppppppp4xi_param
    
        
    message2print = "{set" + "; cccccccc-set-by-set-31pppppppp4xi to: " + str(PPPPPPPP)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
  
    message2print = "{returning" + "; set-31pppppppp4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
  
    
#</function4xi> 

     
#31#    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-31pppppppp4xi" usage = "
# gets PPPPPPPP
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_31pppppppp4xi():          
    '''
    gets PPPPPPPP
    '''
    global PPPPPPPP
    
    class2print = 'get_31pppppppp4xi'
    method2print = 'get_31pppppppp4xi'    
      
    message2print = "{started" + "; get-31pppppppp4xi-started: " + str(get_31pppppppp4xi)  + "; time: " + time4xi() + "}"
    
    message2print = "{returning" + "; cccccccc-returning-by-get-31pppppppp4xi: " + str(PPPPPPPP) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
        
      
    return PPPPPPPP 
            
#</function4xi> 

     
#32#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-32pppppppp4xi" usage = "
# initializes PPPPPPPP
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_32pppppppp4xi(init_32pppppppp4xi_param):          
    '''
    initializes PPPPPPPP
    '''
    global PPPPPPPP
    
    class2print = 'init_32pppppppp4xi'
    method2print = 'init_32pppppppp4xi'    
       
    message2print = "{started" + "; init-32pppppppp4xi-started: " + str(init_32pppppppp4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; init-32pppppppp4xi-param-passed-to-init-32pppppppp4xi: " + str(init_32pppppppp4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
       
    
    PPPPPPPP = init_32pppppppp4xi_param

    message2print = "{initialized" + "; cccccccc-initialized-by-yyyyyyyy to: " + str(PPPPPPPP)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
      

    message2print = "{returning" + "; init-32pppppppp4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
  

#</function4xi> 


 

#32# 
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-32pppppppp4xi" usage = "
# sets PPPPPPPP
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_32pppppppp4xi(set_32pppppppp4xi_param = '32'):          
    '''
    sets PPPPPPPP
    '''
    global PPPPPPPP
    
    class2print = 'set_32pppppppp4xi'
    method2print = 'set_32pppppppp4xi'    
      
    message2print = "{started" + "; set-32pppppppp4xi-started: " + str(set_32pppppppp4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; set-32pppppppp4xi-param-passed-to-set-32pppppppp4xi: " + str(set_32pppppppp4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    
     
    PPPPPPPP = set_32pppppppp4xi_param
    
        
    message2print = "{set" + "; cccccccc-set-by-set-32pppppppp4xi to: " + str(PPPPPPPP)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
  
    message2print = "{returning" + "; set-32pppppppp4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
  
    
#</function4xi> 

     
#32#    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-32pppppppp4xi" usage = "
# gets PPPPPPPP
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_32pppppppp4xi():          
    '''
    gets PPPPPPPP
    '''
    global PPPPPPPP
    
    class2print = 'get_32pppppppp4xi'
    method2print = 'get_32pppppppp4xi'    
      
    message2print = "{started" + "; get-32pppppppp4xi-started: " + str(get_32pppppppp4xi)  + "; time: " + time4xi() + "}"
    
    message2print = "{returning" + "; cccccccc-returning-by-get-32pppppppp4xi: " + str(PPPPPPPP) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
        
      
    return PPPPPPPP 
            
#</function4xi> 

     
#33#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-33pppppppp4xi" usage = "
# initializes PPPPPPPP
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_33pppppppp4xi(init_33pppppppp4xi_param):          
    '''
    initializes PPPPPPPP
    '''
    global PPPPPPPP
    
    class2print = 'init_33pppppppp4xi'
    method2print = 'init_33pppppppp4xi'    
       
    message2print = "{started" + "; init-33pppppppp4xi-started: " + str(init_33pppppppp4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; init-33pppppppp4xi-param-passed-to-init-33pppppppp4xi: " + str(init_33pppppppp4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
       
    
    PPPPPPPP = init_33pppppppp4xi_param

    message2print = "{initialized" + "; cccccccc-initialized-by-yyyyyyyy to: " + str(PPPPPPPP)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
      

    message2print = "{returning" + "; init-33pppppppp4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
  

#</function4xi> 

 
#33# 
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-33pppppppp4xi" usage = "
# sets PPPPPPPP
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_33pppppppp4xi(set_33pppppppp4xi_param = '33'):          
    '''
    sets PPPPPPPP
    '''
    global PPPPPPPP
    
    class2print = 'set_33pppppppp4xi'
    method2print = 'set_33pppppppp4xi'    
      
    message2print = "{started" + "; set-33pppppppp4xi-started: " + str(set_33pppppppp4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; set-33pppppppp4xi-param-passed-to-set-33pppppppp4xi: " + str(set_33pppppppp4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    
     
    PPPPPPPP = set_33pppppppp4xi_param
    
        
    message2print = "{set" + "; cccccccc-set-by-set-33pppppppp4xi to: " + str(PPPPPPPP)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
  
    message2print = "{returning" + "; set-33pppppppp4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
  
    
#</function4xi> 

     
#33#    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-33pppppppp4xi" usage = "
# gets PPPPPPPP
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_33pppppppp4xi():          
    '''
    gets PPPPPPPP
    '''
    global PPPPPPPP
    
    class2print = 'get_33pppppppp4xi'
    method2print = 'get_33pppppppp4xi'    
      
    message2print = "{started" + "; get-33pppppppp4xi-started: " + str(get_33pppppppp4xi)  + "; time: " + time4xi() + "}"
    
    message2print = "{returning" + "; cccccccc-returning-by-get-33pppppppp4xi: " + str(PPPPPPPP) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
        
      
    return PPPPPPPP 
            
#</function4xi> 
 

#All#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-allconstants-managers4xi" usage = "
# initializes all manager constants
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_allconstants_managers4xi():          
    '''
    init_allconstants_managers initializes all manager constants
    '''
    class2print = 'init_allconstants_managers4xi'
    method2print = 'init_allconstants_managers4xi'
    
    message2print = "{started" + "; init-allconstants-managers4xi-started: " + str(init_allconstants_managers4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
  
    init_backlog_manager4xi()
    init_clear_manager4xi()
    init_create_manager4xi()
    init_debug_info_manager4xi()
    init_dummy_manager4xi()
    init_error_manager4xi()
    init_exitpriority_manager4xi()
    init_getvalue_manager4xi()
    init_id_manager4xi()
    init_initial_manager4xi()
    init_is_set_manager4xi()
    init_number_of_objects_manager4xi()
    init_pickle_manager4xi()
    init_proxy_manager4xi()
    init_return_manager4xi()
    init_set_manager4xi()
    init_shutdown_manager4xi()
    init_started_manager4xi()
    init_stop_manager4xi()
    init_traceback_manager4xi()
    init_typeid_manager4xi()
    init_unserializable_manager4xi()
    init_value_manager4xi()
    init_wait_manager4xi ()
 
    init_26pppppppp4xi(26)       
    init_27pppppppp4xi(27)
    init_28pppppppp4xi(28)
    init_29pppppppp4xi(29)
    init_30pppppppp4xi(30)
    init_31pppppppp4xi(31)
    init_32pppppppp4xi(32)
    init_32pppppppp4xi(33)
    

    message2print = "{returning" + "; init-allconstants-managers4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
     

#</function4xi> 

 

# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-allconstants-managers4xi" usage = "
# sets all manager constants
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_allconstants_managers4xi():          
    '''
    set_allconstants_managers4xi sets all manager constants
    '''
    # ---------------------------------------------------------------------------------------------
    # could load an OWL/XML file into memory 
    # ---------------------------------------------------------------------------------------------      
    class2print = 'set_allconstants_managers4xi'
    method2print = 'set_allconstants_managers4xi'
    
    message2print = "{started" + "; set-allconstants-managers4xi-started: " + str(set_allconstants_managers4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
  
       
    set_backlog_manager4xi()
       
    set_clear_manager4xi()
   
    set_create_manager4xi()

    set_debug_info_manager4xi()
   

    set_dummy_manager4xi()
  
        
    set_error_manager4xi()
       
    set_exitpriority_manager4xi()
   
        
    set_getvalue_manager4xi()
   
    set_initial_manager4xi()
    
    set_is_set_manager4xi()
        
    set_number_of_objects_manager4xi()
       
    set_pickle_manager4xi()
        
    set_proxy_manager4xi()
       
    set_return_manager4xi()
       
    set_set_manager4xi()
       
    set_shutdown_manager4xi()
        
    set_started_manager4xi()
        
    set_stop_manager4xi()
      
    set_traceback_manager4xi()
       
    set_typeid_manager4xi()
       
    set_unserializable_manager4xi()
       
    set_value_manager4xi()
       
    set_wait_manager4xi () 
    
    set_26pppppppp4xi(26)       
    set_27pppppppp4xi(27)
    set_28pppppppp4xi(28)
    set_29pppppppp4xi(29)
    set_30pppppppp4xi(30)
    set_31pppppppp4xi(31)
    set_32pppppppp4xi(32)
    set_32pppppppp4xi(33)
    
    message2print = "{returning" + "; set-allconstants-managers4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
     
#</function4xi> 

 
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-allconstants-managers4xi" usage = "
# gets all manager constants
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_allconstants_managers4xi():
     
    '''
    get_allconstants_managers4xi gets all manager constants
    '''
    class2print = 'get_allconstants_managers4xi'
    method2print = 'get_allconstants_managers4xi'
    
    message2print = "{started" + "; get-allconstants-managers4xi-started: " + str(get_allconstants_managers4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
  
    get_backlog_manager4xi()
    
    message2print = "{got" + "; get_backlog_manager4xi()-got-by-get-allconstants-managers4xi: " + str(get_backlog_manager4xi())  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
          
    get_clear_manager4xi()
    
    message2print = "{got" + "; get_clear_manager4xi()-got-by-get-allconstants-managers4xi: " + str(get_clear_manager4xi())  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
      
    get_create_manager4xi()
    
    message2print = "{got" + "; get_create_manager4xi()-got-by-get-allconstants-managers4xi: " + str(get_create_manager4xi())  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
   
    get_debug_info_manager4xi()
    
    message2print = "{got" + "; get_debug_info_manager4xi()-got-by-get-allconstants-managers4xi: " + str(get_debug_info_manager4xi())  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
      

    get_dummy_manager4xi()
    
    message2print = "{got" + "; get_dummy_manager4xi()-got-by-get-allconstants-managers4xi: " + str(get_dummy_manager4xi())  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
     
        
    get_error_manager4xi()
    
    message2print = "{got" + "; get_error_manager4xi()-got-by-get-allconstants-managers4xi: " + str(get_error_manager4xi())  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
          
    get_exitpriority_manager4xi()
    
    message2print = "{got" + "; get_exitpriority_manager4xi()-got-by-get-allconstants-managers4xi: " + str(get_exitpriority_manager4xi())  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
      
        
    get_getvalue_manager4xi()
    
    message2print = "{got" + "; get_getvalue_manager4xi()-got-by-get-allconstants-managers4xi: " + str(get_getvalue_manager4xi())  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
      
    get_initial_manager4xi()
    
    message2print = "{got" + "; get_initial_manager4xi()-got-by-get-allconstants-managers4xi: " + str(get_initial_manager4xi())  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
       
    get_is_set_manager4xi()
    
    message2print = "{got" + "; get_is_set_manager4xi()-got-by-get-allconstants-managers4xi: " + str(get_is_set_manager4xi())  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
           
    get_number_of_objects_manager4xi()
    
    message2print = "{got" + "; get_number_of_objects_manager4xi()-got-by-get-allconstants-managers4xi: " + str(get_number_of_objects_manager4xi())  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
          
    get_pickle_manager4xi()
    
    message2print = "{got" + "; get_pickle_manager4xi()-got-by-get-allconstants-managers4xi: " + str(get_pickle_manager4xi())  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
           
    get_proxy_manager4xi()
    
    message2print = "{got" + "; get_proxy_manager4xi()-got-by-get-allconstants-managers4xi: " + str(get_proxy_manager4xi())  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
          
    get_return_manager4xi()
    
    message2print = "{got" + "; get_return_manager4xi()-got-by-get-allconstants-managers4xi: " + str(get_return_manager4xi())  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
          
    get_set_manager4xi()
    
    message2print = "{got" + "; get_set_manager4xi()-got-by-get-allconstants-managers4xi: " + str(get_set_manager4xi())  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
          
    get_shutdown_manager4xi()
    
    message2print = "{got" + "; get_shutdown_manager4xi()-got-by-get-allconstants-managers4xi: " + str(get_shutdown_manager4xi())  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
           
    get_started_manager4xi()
    
    message2print = "{got" + "; get_started_manager4xi()-got-by-get-allconstants-managers4xi: " + str(get_started_manager4xi())  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
           
    get_stop_manager4xi()
    
    message2print = "{got" + "; get_stop_manager4xi()-got-by-get-allconstants-managers4xi: " + str(get_stop_manager4xi())  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
         
    get_traceback_manager4xi()
    
    message2print = "{got" + "; get_traceback_manager4xi()-got-by-get-allconstants-managers4xi: " + str(get_traceback_manager4xi())  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
          
    get_typeid_manager4xi()
    
    message2print = "{got" + "; get_typeid_manager4xi()-got-by-get-allconstants-managers4xi: " + str(get_typeid_manager4xi())  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
          
    get_unserializable_manager4xi()
    
    message2print = "{got" + "; get_unserializable_manager4xi()-got-by-get-allconstants-managers4xi: " + str(get_unserializable_manager4xi())  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
          
    get_value_manager4xi()
    
    message2print = "{got" + "; get_value_manager4xi()-got-by-get-allconstants-managers4xi: " + str(get_value_manager4xi())  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
          
    get_wait_manager4xi ()     
    
    message2print = "{got" + "; get_wait_manager4xi ()-got-by-get-allconstants-managers4xi: " + str(get_wait_manager4xi ())  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
       
    get_26pppppppp4xi()       
    
    message2print = "{got" + "; get_26pppppppp4xi(26)-got-by-get-allconstants-managers4xi: " + str(get_26pppppppp4xi())  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
       
    get_27pppppppp4xi()
    
    message2print = "{got" + "; get_27pppppppp4xi(27)-got-by-get-allconstants-managers4xi: " + str(get_27pppppppp4xi())  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
       
    get_28pppppppp4xi()
    
    message2print = "{got" + "; get_28pppppppp4xi(28)-got-by-get-allconstants-managers4xi: " + str(get_28pppppppp4xi())  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
       
    get_29pppppppp4xi()
    
    message2print = "{got" + "; get_29pppppppp4xi(29)-got-by-get-allconstants-managers4xi: " + str(get_29pppppppp4xi())  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
       
    get_30pppppppp4xi()
    
    message2print = "{got" + "; get_30pppppppp4xi(30)-got-by-get-allconstants-managers4xi: " + str(get_30pppppppp4xi())  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
       
    get_31pppppppp4xi()
    
    message2print = "{got" + "; get_31pppppppp4xi(31)-got-by-get-allconstants-managers4xi: " + str(get_31pppppppp4xi())  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
       
    get_32pppppppp4xi()
    
    message2print = "{got" + "; get_32pppppppp4xi(32)-got-by-get-allconstants-managers4xi: " + str(get_32pppppppp4xi())  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
       
    get_33pppppppp4xi()
    
    message2print = "{got" + "; get_33pppppppp4xi(33)-got-by-get-allconstants-managers4xi: " + str(get_33pppppppp4xi())  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
       
    message2print = "{returning" + "; true-returning-by-get-allconstants-managers4xi: " + str(True) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
       
    return True            
#</function4xi> 

 
#ONE#    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-one-constant-managers4xi" usage = "
# gets one manager constant
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_one_constant_managers4xi(get_one_constant_managers4xi_param=33):          
    '''
    get_one_constant_managers4xi gets one manager constant
    '''
    class2print = 'get_one_constant_managers4xi'
    method2print = 'get_one_constant_managers4xi'
    
    message2print = "{started" + "; get-one-constant-managers4xi-started: " + str(get_one_constant_managers4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    
    message2print = "{passed" + "; get-one-constant-managers4xi-param-passed-to-yyyyyyyy: " + str(get_one_constant_managers4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    
      
   
    if get_one_constant_managers4xi_param <= 0 or get_one_constant_managers4xi_param > 32:
        get_one_constant_managers4xi_param = 32    
    
    
    message2print = "{passing" + "; get-one-constant-managers4xi-param-passing-to-constant-managers4xi-by-get-one-constant-managers4xi: " + str(get_one_constant_managers4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)          
        
                
        
    message2print = "{returning" + "; constant-managers4xi-function-returning-by-get-one-constant-managers4xi: " + str(constant_managers4xi) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print) 
            

        
    return constant_managers4xi(get_one_constant_managers4xi_param)
#</function4xi> 

              
        
# =================================================================================================
# ConstantManagers4Xi class
#<class4xi class = "ConstantManagers4Xi" base = "object" child = "None" synopsis = "offers services for manager constants" usage = "multiprocessing managers"
#>
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# =================================================================================================
class ConstantManagers4Xi(object): #<-- inherits from object class
    '''
    ConstantManagers4Xi offers services for manager constants
    '''
    # ---------------------------------------------------------------------------------------------
    # Public API of this class
    # ---------------------------------------------------------------------------------------------    
    #<expose4xi expose = "
    _exposed_ = ('init_all', 'get_all', 'set_all', 
                 'init_wait', 'set_wait', 'get_wait',
                 'init_value', 'set_value', 'get_value',
                 'init_unserializable', 'set_unserializable', 'get_unserializable',
                 'init_typeid', 'set_typeid', 'get_typeid',
                 'init_traceback', 'set_traceback', 'get_traceback',
                 'init_stop', 'set_stop', 'get_stop',
                 'init_started', 'set_started', 'get_started',
                 'init_shutdown', 'set_shutdown', 'get_shutdown',            
                 'init_set', 'set_set', 'get_set',
                 'init_return', 'set_return', 'get_return',
                 'init_proxy', 'set_proxy', 'get_proxy',
                 'init_pickle', 'set_pickle', 'get_pickle',            
                 'init_number_of_objects', 'set_number_of_objects', 'get_number_of_objects',
                 'init_is_set', 'set_is_set', 'get_is_set',
                 'init_initial', 'set_initial', 'get_initial',
                 'init_id', 'set_id', 'get_id',            
                 'init_getvalue', 'set_getvalue', 'get_getvalue',
                 'init_exitpriority', 'set_exitpriority', 'get_exitpriority',
                 'init_error', 'set_error', 'get_error',
                 'init_dummy', 'set_dummy', 'get_dummy',            
                 'init_debug_info', 'set_debug_info', 'get_debug_info',
                 'init_create', 'set_create', 'get_create',
                 'init_clear', 'set_clear', 'get_clear',
                 'init_backlog', 'set_backlog', 'get_backlog',
                 'sense', 'reason', 'ace')          
    #"
    #/>
                                                 
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-of-ConstantManagers4Xi" usage = "initializes manager constants">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------   
    def __init__(self):
        '''
        _init__ method initializes manager constants
        '''       
        class2print = 'ConstantManagers4Xi'
        method2print = '__init__'
    
        message2print = "{started" + "; init-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        
        message2print = "{borning" + "; constantmanagers2xi-of-ConstantManagers4Xi-borning: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)       

        message2print = "{inheriting" + "; object-inheriting-by-constantmanagers2xi-of-ConstantManagers4Xi: " + str(object)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        
         
        message2print = "{calling" + "; init-allconstants-managers4xi-calling-by-init-of-ConstantManagers4Xi: " + str(init_allconstants_managers4xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)       
                        

        init_allconstants_managers4xi()        
        
        message2print = "{activated" + "; constantmanagers2xi-of-ConstantManagers4Xi-activated: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)       

        message2print = "{inherited" + "; object-inherited-by-constantmanagers2xi-of-ConstantManagers4Xi: " + str(object)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
           
        message2print = "{returning" + "; init-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
                        
                
                           
    #</methodize4xi>
    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-all-of-ConstantManagers4Xi" usage = "initializes all manager constants">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------   
    def init_all(self):
        '''
        init_all_ method initializes all manager constants
        '''       
        class2print = 'ConstantManagers4Xi'
        method2print = 'init_all'
    
        message2print = "{started" + "; init-all-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
    
        message2print = "{calling" + "; init-allconstants-managers4xi-calling-by-init-all-of-ConstantManagers4Xi: " + str(init_allconstants_managers4xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)       
   
        init_allconstants_managers4xi()              
    
        message2print = "{returning" + "; init-all-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
            
    #</methodize4xi>
            
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-all-of-ConstantManagers4Xi" usage = "sets all manager constants">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------   
    def set_all(self):
        '''
        set_all method sets all manager constants
        '''       
        class2print = 'ConstantManagers4Xi'
        method2print = 'set_all'
    
        message2print = "{started" + "; set-all-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
    
        message2print = "{calling" + "; set-allconstants-managers4xi-calling-by-set-all-of-ConstantManagers4Xi: " + str(set_allconstants_managers4xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)       
   
        set_allconstants_managers4xi()             
    
    
        message2print = "{returning" + "; set-all-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
       
    #</methodize4xi>
    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-all-of-ConstantManagers4Xi" usage = "gets all manager constants">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------   
    def get_all(self):
        '''
        get_all method gets all manager constants
        '''       
        class2print = 'ConstantManagers4Xi'
        method2print = 'get_all'
    
        message2print = "{started" + "; get-all-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
    
        message2print = "{returning" + "; get-allconstants-managers4xi-function-returning-by-get-all-of-ConstantManagers4Xi: " + str(get_allconstants_managers4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
                
   
        return get_allconstants_managers4xi() #prints and returns True   
    #</methodize4xi>
    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-one-of-ConstantManagers4Xi" usage = "gets one manager constant">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------   
    def get_one(self, get_one_param=33):
        '''
        get_one method gets one manager constant
        '''       
        class2print = 'ConstantManagers4Xi'
        method2print = 'get_one'
   
        message2print = "{started" + "; get-one-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        

        message2print = "{passing" + "; get-one-param-passing-to-get-one-constant-managers4xi-by-get-one-of-ConstantManagers4Xi: " + str(get_one_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
                
    
        message2print = "{returning" + "; get-one-constant-managers4xi-function-returning-by-get-one-of-ConstantManagers4Xi: " + str(get_one_constant_managers4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
                   
             
        return get_one_constant_managers4xi(get_one_param)       
    #</methodize4xi>
        

    #2#   
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-backlog-of-ConstantManagers4Xi" usage = "initializes BACKLOG_MANAGER4XI">
    #<state4xi status = "python xi.py; NACK4systemtest"/>
    # -------------------------------------------------------------------------------------------------    
    def init_backlog(self,init_backlog_param = 5):          
        '''
        init_backlog initializes BACKLOG_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'init_backlog'
    
        message2print = "{started" + "; init-backlog-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; init-backlog-param-passing-to-init-backlog-manager4xi-by-init-backlog-of-ConstantManagers4Xi: " + str(init_backlog_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
       
   
        init_backlog_manager4xi(init_backlog_param)    
    
    
        message2print = "{returning" + "; init-backlog-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
        
    #</methodize4xi>
        
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-backlog-of-ConstantManagers4Xi" usage = "sets BACKLOG_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_backlog(self,set_backlog_param = 5):          
        '''
        set_backlog sets BACKLOG_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'set_backlog'
    
        message2print = "{started" + "; set-backlog-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; set-backlog-param-passing-to-set-backlog_manager4xi-by-set-backlog-of-ConstantManagers4Xi: " + str(set_backlog_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
      
   
        set_backlog_manager4xi(set_backlog_param)
    
    
        message2print = "{returning" + "; set-backlog-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
       
        
    #</methodize4xi>
            
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-backlog-of-ConstantManagers4Xi" usage = "gets BACKLOG_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_backlog(self):          
        '''
        get_backlog gets BACKLOG_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'get_backlog'
    
        message2print = "{started" + "; get-backlog-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

    
        message2print = "{returning" + "; get-backlog-manager4xi-function-returning-by-get-backlog-of-ConstantManagers4Xi: " + str(get_backlog_manager4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
      
        return get_backlog_manager4xi()  
     
    #</methodize4xi>
            
    #3#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-clear-of-ConstantManagers4Xi" usage = "initializes CLEAR_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_clear(self,init_clear_param = 'clear'):          
        '''
        init_clear initializes CLEAR_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'init_clear'
    
        message2print = "{started" + "; init-clear-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; init-clear-param-passing-to-init-clear-manager4xi-by-init-clear-of-ConstantManagers4Xi: " + str(init_clear_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
       
   
        init_clear_manager4xi(init_clear_param)
    
    
        message2print = "{returning" + "; init-clear-of-ConstantManagers4X-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
       
    #</methodize4xi>
        
    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-clear-of-ConstantManagers4Xi" usage = "sets CLEAR_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_clear(self,set_clear_param = 'clear'):          
        '''
        set_clear sets CLEAR_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'set_clear'
    
        message2print = "{started" + "; set-clear-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; set-clear-param-passing-to-set-clear-manager4xi-by-set-clear-of-ConstantManagers4Xi: " + str(set_clear_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
    
   
        set_clear_manager4xi(set_clear_param)
    
    
        message2print = "{returning" + "; set-clear-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
        
    #</methodize4xi>
            
        
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-clear-of-ConstantManagers4Xi" usage = "gets CLEAR_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_clear(self):          
        '''
        get_clear gets CLEAR_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'get_clear'
    
        message2print = "{started" + "; get-clear-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    
    
        message2print = "{returning" + "; get-clear-manager4xi-function-returning-by-get-clear-of-ConstantManagers4Xi: " + str(get_clear_manager4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
   
             
        return get_clear_manager4xi()        
    #</methodize4xi>
        
    #4#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-create-of-ConstantManagers4Xi" usage = "initializes CREATE_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_create(self,init_create_param = 'create'):          
        '''
        init_create initializes CREATE_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'init_create'
    
        message2print = "{started" + "; init-create-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; init-create-param-passing-to-init-create-manager4xi-by-init-create-of-ConstantManagers4Xi: " + str(init_create_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
   
   
        init_create_manager4xi(init_create_param)
    
    
        message2print = "{returning" + "; init-create-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
     
    
    #</methodize4xi>
        
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-create-of-ConstantManagers4Xi" usage = "sets CREATE_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_create(self,set_create_param = 'create'):          
        '''
        set_create sets CREATE_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'set_create'
    
        message2print = "{started" + "; set-create-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; set-create-param-passing-to-set-create-manager4xi-by-set-create-of-ConstantManagers4Xi: " + str(set_create_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
     
   
        set_create_manager4xi(set_create_param)
        
    
        message2print = "{returning" + "; set-create-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
     
    #</methodize4xi>
            
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-create-of-ConstantManagers4Xi" usage = "gets CREATE_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_create(self):          
        '''
        get_create gets CREATE_MANAGER4XI
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'get_create'
    
        message2print = "{started" + "; get-create-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

    
        message2print = "{returning" + "; get-create-manager4xi-function-returning-by-get-create-of-ConstantManagers4Xi: " + str(get_create_manager4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
           
        return get_create_manager4xi()               
        
    #</methodize4xi>
            
        
    #5#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-debug-info-of-ConstantManagers4Xi" usage = "initializes DEBUG_INFO_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_debug_info(self,init_debug_info_param = 'debug_info'):          
        '''
        init_debug_info initializes DEBUG_INFO_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'init_debug_info'
    
        message2print = "{started" + "; init-debug-info-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; init-debug-info-param-passing-to-init-debug-info-manager4xi-by-init-debug-info-of-ConstantManagers4Xi: " + str(init_debug_info_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
    
   
        init_debug_info_manager4xi(init_debug_info_param)
    
    
        message2print = "{returning" + "; init-debug-info-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
      
    
    #</methodize4xi>
        
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-debug-info-of-ConstantManagers4Xi" usage = "sets DEBUG_INFO_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_debug_info(self,set_debug_info_param = 'debug_info'):          
        '''
        set_debug_info sets DEBUG_INFO_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'set_debug_info'
    
        message2print = "{started" + "; set-debug-info-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; set-debug-info-param-passing-to-set-debug-info-manager4xi-by-set-debug-info-of-ConstantManagers4Xi: " + str(set_debug_info_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
  
   
        set_debug_info_manager4xi(set_debug_info_param)
    
    
        message2print = "{returning" + "; set-debug-info-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
       
    #</methodize4xi>
            
        
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-debug-info-of-ConstantManagers4Xi" usage = "gets DEBUG_INFO_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_debug_info(self):          
        '''
        get_debug_info gets DEBUG_INFO_MANAGER4XI
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'get_debug_info'
    
        message2print = "{started" + "; get-debug-info-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    
    
        message2print = "{returning" + "; get-debug-info-manager4xi-function-returning-by-get-debug-info-of-ConstantManagers4Xi: " + str(get_debug_info_manager4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
   
        
        return get_debug_info_manager4xi()        
    #</methodize4xi>
            
    #6#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-dummy-of-ConstantManagers4Xi" usage = "initializes DUMMY_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_dummy(self,init_dummy_param = 'dummy'):          
        '''
        init_dummy initializes DUMMY_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'init_dummy'
    
        message2print = "{started" + "; init-dummy-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; init-dummy-param-passing-to-init-dummy-manager4xi-by-init-dummy-of-ConstantManagers4Xi: " + str(init_dummy_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
    
   
        init_dummy_manager4xi(init_dummy_param)
    
    
        message2print = "{returning" + "; init-dummy-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
   
    #</methodize4xi>
        
    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-dummy-of-ConstantManagers4Xi" usage = "sets DUMMY_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_dummy(self,set_dummy_param = 'dummy'):          
        '''
        set_dummy sets DUMMY_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'set_dummy'
    
        message2print = "{started" + "; set-dummy-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; set-dummy-param-passing-to-set-dummy-manager4xi-by-set-dummy-of-ConstantManagers4Xi: " + str(set_dummy_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
     
   
        set_dummy_manager4xi(set_dummy_param)
    
    
        message2print = "{returning" + "; set-dummy-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
       
        
    #</methodize4xi>
            
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-dummy-of-ConstantManagers4Xi" usage = "gets DUMMY_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_dummy(self):          
        '''
        get_dummy gets DUMMY_MANAGER4XI
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'get_dummy'
    
        message2print = "{started" + "; get-dummy-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    
    
        message2print = "{returning" + "; get-dummy-manager4xi-function-returning-by-get-dummy-of-ConstantManagers4Xi: " + str(get_dummy_manager4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
    
        
        return get_dummy_manager4xi()      
    #</methodize4xi>
            
    #7#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-error-of-ConstantManagers4Xi" usage = "initializes ERROR_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_error(self,init_error_param = '#ERROR'):          
        '''
        init_error initializes ERROR_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'init_error'
    
        message2print = "{started" + "; init-error-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    
    

        message2print = "{passing" + "; init-error-param-passing-to-init-error-manager4xi-by-init-error-of-ConstantManagers4Xi: " + str(init_error_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
     
        init_error_manager4xi(init_error_param)
    
    
        message2print = "{returning" + "; init-error-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
   
    #</methodize4xi>
       
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-error-of-ConstantManagers4Xi" usage = "sets ERROR_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_error(self,set_error_param = '#ERROR'):          
        '''
        set_error sets ERROR_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'set_error'
    
        message2print = "{started" + "; set-error-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; set-error-param-passing-to-set-error-manager4xi-by-set-error-of-ConstantManagers4Xi: " + str(set_error_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
  
        set_error_manager4xi(set_error_param)
    
    
        message2print = "{returning" + "; set-error-of-ConstantManagers4X-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
   
        
    #</methodize4xi>
            
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-error-of-ConstantManagers4Xi" usage = "gets ERROR_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_error(self):          
        '''
        get_error gets ERROR_MANAGER4XI
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'get_error'
    
        message2print = "{started" + "; get-error-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
 
    
        message2print = "{returning" + "; get-error-manager4xi-function-returning-by-get-error-of-ConstantManagers4Xi: " + str(get_error_manager4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
       

        return  get_error_manager4xi()       
    #</methodize4xi>
            
    #8#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-exitpriority-of-ConstantManagers4Xi" usage = "initializes EXITPRIORITY_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_exitpriority(self,init_exitpriority_param = 10):          
        '''
        init_exitpriority initializes EXITPRIORITY_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'init_exitpriority'
    
        message2print = "{started" + "; init-exitpriority-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; init-exitpriority-param-passing-to-init-exitpriority-manager4xi-by-init-exitpriority-of-ConstantManagers4Xi: " + str(init_exitpriority_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
    
   
        init_exitpriority_manager4xi(init_exitpriority_param)
    
    
        message2print = "{returning" + "; init-exitpriority-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
        
    #</methodize4xi>
        
    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-exitpriority-of-ConstantManagers4Xi" usage = "sets EXITPRIORITY_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_exitpriority(self,set_exitpriority_param = 10):          
        '''
        set_exitpriority sets EXITPRIORITY_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'set_exitpriority'
    
        message2print = "{started" + "; set-exitpriority-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; set-exitpriority-param-passing-to-set-exitpriority-manager4xi-by-set-exitpriority-of-ConstantManagers4Xi: " + str(set_exitpriority_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
       
   
        set_exitpriority_manager4xi(set_exitpriority_param)
    
    
        message2print = "{returning" + "; set-exitpriority-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
        
        
    #</methodize4xi>
            
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-exitpriority-of-ConstantManagers4Xi" usage = "gets EXITPRIORITY_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_exitpriority(self):          
        '''
        get_exitpriority gets EXITPRIORITY_MANAGER4XI
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'get_exitpriority'
    
        message2print = "{started" + "; get-exitpriority-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    
    
        message2print = "{returning" + "; get-exitpriority-manager4xi-function-returning-by-get-exitpriority-of-ConstantManagers4Xi: " + str(get_exitpriority_manager4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
   
        
        return get_exitpriority_manager4xi()     
    #</methodize4xi>
            
    #9#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-getvalue-of-ConstantManagers4Xi" usage = "initializes GETVALUE_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_getvalue(self,init_getvalue_param = '#GETVALUE'):          
        '''
        init_getvalue initializes GETVALUE_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'init_getvalue'
    
        message2print = "{started" + "; init-getvalue-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; init-getvalue-param-passing-to-init-getvalue-manager4xi-by-init-getvalue-of-ConstantManagers4Xi: " + str(init_getvalue_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
  
        init_getvalue_manager4xi(init_getvalue_param)
    
    
        message2print = "{returning" + "; init-getvalue-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
   
    
    #</methodize4xi>
        
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-getvalue-of-ConstantManagers4Xi" usage = "sets GETVALUE_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_getvalue(self,set_getvalue_param = '#GETVALUE'):          
        '''
        set_getvalue sets GETVALUE_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'set_getvalue'
    
        message2print = "{started" + "; set-getvalue-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; set-getvalue-param-passing-to-set-getvalue-manager4xi-by-set-getvalue-of-ConstantManagers4Xi: " + str(set_getvalue_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
  
        set_getvalue_manager4xi(set_getvalue_param)
    
    
        message2print = "{returning" + "; set-getvalue-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
   
    #</methodize4xi>
            
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-getvalue-of-ConstantManagers4Xi" usage = "gets GETVALUE_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_getvalue(self):          
        '''
        get_getvalue gets GETVALUE_MANAGER4XI
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'get_getvalue'
    
        message2print = "{started" + "; get-getvalue-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
 
    
        message2print = "{returning" + "; get-getvalue-manager4xi-function-returning-by-get-getvalue-of-ConstantManagers4Xi: " + str(get_getvalue_manager4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
   
          
        return get_getvalue_manager4xi()      
    #</methodize4xi>
            
    #10#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-id-of-ConstantManagers4Xi" usage = "initializes ID_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_id(self,init_id_param = 'id'):          
        '''
        init_id initializes ID_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'init_id'
    
        message2print = "{started" + "; init-id-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; init-id-param-passing-to-init-id-manager4xi-by-init-id-of-ConstantManagers4Xi: " + str(init_id_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
         
   
        init_id_manager4xi(init_id_param )
    
    
        message2print = "{returning" + "; init-id-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
     
    #</methodize4xi>
        
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-id-of-ConstantManagers4Xi" usage = "sets ID_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_id(self,set_id_param = 'id'):          
        '''
        set_id sets ID_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'set_id'
    
        message2print = "{started" + "; set-id-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; set-id-param-passing-to-set-id-manager4xi-by-set-id-of-ConstantManagers4Xi: " + str(set_id_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
  
   
        set_id_manager4xi(set_id_param)
    
    
        message2print = "{returning" + "; set-id-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
       
        
    #</methodize4xi>
            
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-id-of-ConstantManagers4Xi" usage = "gets ID_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_id(self):          
        '''
        get_id gets ID_MANAGER4XI
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'get_id'
    
        message2print = "{started" + "; get-id-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    
        message2print = "{returning" + "; get-id-manager4xi-function-returning-by-get-id-of-ConstantManagers4Xi: " + str(get_id_manager4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
       

        return get_id_manager4xi()        
    #</methodize4xi>
            
    #11#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-initial-of-ConstantManagers4Xi" usage = "initializes INITIAL_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_initial(self,init_initial_param = 0):          
        '''
        init_initial initializes INITIAL_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'init_initial'
    
        message2print = "{started" + "; init-initial-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; init-initial-param-passing-to-init-initial_manager4xi-by-init-initial-of-ConstantManagers4Xi: " + str(init_initial_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
    
   
        init_initial_manager4xi(init_initial_param)
    
    
        message2print = "{returning" + "; init-initial-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
      
    
    #</methodize4xi>
        
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-initial-of-ConstantManagers4Xi" usage = "sets INITIAL_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_initial(self,set_initial_param = 0):          
        '''
        set_initial sets INITIAL_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'set_initial'
    
        message2print = "{started" + "; set-initial-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; set-initial-param-passing-to-set-initial-manager4xi-by-set-initial-of-ConstantManagers4Xi: " + str(set_initial_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
   
   
        set_initial_manager4xi(set_initial_param)
    
    
        message2print = "{returning" + "; set-initial-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
      
        
    #</methodize4xi>
            
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-initial-of-ConstantManagers4Xi" usage = "gets INITIAL_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_initial(self):          
        '''
        get_initial gets INITIAL_MANAGER4XI
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'get_initial'
    
        message2print = "{started" + "; get-initial-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    
        message2print = "{returning" + "; get-initial-manager4xi-function-returning-by-get-initial-of-ConstantManagers4Xi: " + str(get_initial_manager4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
       

        return get_initial_manager4xi()        
    #</methodize4xi>
            
    #12#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-is-set-of-ConstantManagers4Xi" usage = "initializes IS_SET_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_is_set(self,init_is_set_param = 'is_set'):          
        '''
        init_is_set initializes IS_SET_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'init_is_set'
    
        message2print = "{started" + "; init-is-set-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; init-is-set-param-passing-to-init-is-set-manager4xi-by-init-is-set-of-ConstantManagers4Xi: " + str(init_is_set_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
   
   
        init_is_set_manager4xi(init_is_set_param)
    
    
        message2print = "{returning" + "; init-is-set-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
       
    #</methodize4xi>
        
    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-is-set-of-ConstantManagers4Xi" usage = "sets IS_SET_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_is_set(self,set_is_set_param = 'is_set'):          
        '''
        set_is_set sets IS_SET_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'set_is_set'
    
        message2print = "{started" + "; set-is-set-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; set-is-set-param-passing-to-set-is-set-manager4xi-by-set-is-set-of-ConstantManagers4Xi: " + str(set_is_set_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
         
   
        set_is_set_manager4xi(set_is_set_param)
        
    
    
        message2print = "{returning" + "; set-is-set-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
    
    #</methodize4xi>
            
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-is-set-of-ConstantManagers4Xi" usage = "gets IS_SET_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_is_set(self):          
        '''
        get_is_set gets IS_SET_MANAGER4XI
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'get_is_set'
    
        message2print = "{started" + "; get-is-set-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    
    
        message2print = "{returning" + "; get-is-set-manager4xi-function-returning-by-get-is-set-of-ConstantManagers4Xi: " + str(get_is_set_manager4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
   
        
        return get_is_set_manager4xi()       
    #</methodize4xi>
            
    #13#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-number-of-objects-of-ConstantManagers4Xi" usage = "initializes NUMBER_OF_OBJECTS_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_number_of_objects(self,init_number_of_objects_param = 'number_of_objects'):          
        '''
        init_number_of_objects initializes NUMBER_OF_OBJECTS_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'init_number_of_objects'
    
        message2print = "{started" + "; init-number-of-objects-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; init-number-of-objects-param-passing-to-init-number-of-objects-manager4xi-by-init-number-of-objects-of-ConstantManagers4Xi: " + str(init_number_of_objects_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
  
   
        init_number_of_objects_manager4xi(init_number_of_objects_param)
    
    
        message2print = "{returning" + "; init-number-of-objects-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
      
    
    #</methodize4xi>
        
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-number-of-objects-of-ConstantManagers4Xi" usage = "sets NUMBER_OF_OBJECTS_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_number_of_objects(self,set_number_of_objects_param = 'number_of_objects'):          
        '''
        set_number_of_objects sets NUMBER_OF_OBJECTS_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'set_number_of_objects'
    
        message2print = "{started" + "; set-number-of-objects-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; set-number-of-objects-param-passing-to-set-number-of-objects-manager4xi-by-set-number-of-objects-of-ConstantManagers4Xi: " + str(set_number_of_objects_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
    
   
        set_number_of_objects_manager4xi()
    
    
        message2print = "{returning" + "; set-number-of-objects-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
      
    #</methodize4xi>
            
        
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-number-of-objects-of-ConstantManagers4Xi" usage = "gets NUMBER_OF_OBJECTS_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_number_of_objects(self):          
        '''
        get_number_of_objects gets NUMBER_OF_OBJECTS_MANAGER4XI
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'get_number_of_objects'
    
        message2print = "{started" + "; get-number-of-objects-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
 
    
        message2print = "{returning" + "; get-number-of-objects-manager4xi-function-returning-by-get-number-of-objects-of-ConstantManagers4Xi: " + str(get_number_of_objects_manager4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
      
          
        return get_number_of_objects_manager4xi()        
    #</methodize4xi>
            
    #14#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-pickle-of-ConstantManagers4Xi" usage = "initializes PICKLE_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_pickle(self,init_pickle_param = 'pickle'):          
        '''
        init_pickle initializes PICKLE_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'init_pickle'
    
        message2print = "{started" + "; init-pickle-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    
    

        message2print = "{passing" + "; init-pickle-param-passing-to-zzzzzzzz-by-init-pickle-of-ConstantManagers4Xi: " + str(init_pickle_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
  
   
        init_pickle_manager4xi(init_pickle_param)
    
     
        message2print = "{returning" + "; init-pickle-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
      
    
    #</methodize4xi>
        
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-pickle-of-ConstantManagers4Xi" usage = "sets PICKLE_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_pickle(self,set_pickle_param = 'pickle'):          
        '''
        set_pickle sets PICKLE_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'set_pickle'
    
        message2print = "{started" + "; set-pickle-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; set-pickle-param-passing-to-set-pickle_manager4xi-by-set-pickle-of-ConstantManagers4Xi: " + str(set_pickle_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
  
        set_pickle_manager4xi(set_pickle_param)
    
    
        message2print = "{returning" + "; set-pickle-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
   
    #</methodize4xi>
            
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-pickle-of-ConstantManagers4Xi" usage = "gets PICKLE_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_pickle(self):          
        '''
        get_pickle gets PICKLE_MANAGER4XI
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'get_pickle'
    
        message2print = "{started" + "; get-pickle-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    
        message2print = "{returning" + "; get-pickle-manager4xi-function-returning-by-get-pickle-of-ConstantManagers4Xi: " + str(get_pickle_manager4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
    
 
        return get_pickle_manager4xi()         
    #</methodize4xi>
            
    #15#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-proxy-of-ConstantManagers4Xi" usage = "initializes PROXY_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_proxy(self,init_proxy_param = '#PROXY'):          
        '''
        init_proxy initializes PROXY_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'init_proxy'
    
        message2print = "{started" + "; init-proxy-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; init-proxy-param-passing-to-init-proxy-manager4xi-by-init-proxy-of-ConstantManagers4Xi: " + str(init_proxy_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
        
   
        init_proxy_manager4xi(init_proxy_param)
    
    
        message2print = "{returning" + "; init-proxy-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
   
        
    #</methodize4xi>
        
    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-proxy-of-ConstantManagers4Xi" usage = "sets PROXY_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_proxy(self,set_proxy_param = '#PROXY'):          
        '''
        set_proxy sets PROXY_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'set_proxy'
    
        message2print = "{started" + "; set-proxy-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; set-proxy-param-passing-to-zzzzzzzz-by-set-proxy-of-ConstantManagers4Xi: " + str(set_proxy_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
       
   
        set_proxy_manager4xi(set_proxy_param)
    
    
        message2print = "{returning" + "; set-proxy-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
     
    #</methodize4xi>
            
        
        
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-proxy-of-ConstantManagers4Xi" usage = "gets PROXY_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_proxy(self):          
        '''
        get_proxy gets PROXY_MANAGER4XI
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'get_proxy'
    
        message2print = "{started" + "; get-proxy-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
 
   
    
        message2print = "{returning" + "; get-proxy-manager4xi-function-returning-by-get-proxy-of-ConstantManagers4Xi: " + str(get_proxy_manager4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
             
        return get_proxy_manager4xi()      
        
    #</methodize4xi>
            
    #16#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-return-of-ConstantManagers4Xi" usage = "initializes RETURN_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_return(self,init_return_param = '#RETURN'):          
        '''
        init_return initializes RETURN_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'init_return'
    
        message2print = "{started" + "; init-return-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; init-return-param-passing-to-init-return_manager4xi-by-init-return-of-ConstantManagers4Xi: " + str(init_return_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
     
   
        init_return_manager4xi(init_return_param)
        
    
    
        message2print = "{returning" + "; init-return-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
       
    
    #</methodize4xi>
        
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-return-of-ConstantManagers4Xi" usage = "sets RETURN_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_return(self,set_return_param = '#RETURN'):          
        '''
        set_return sets RETURN_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'set_return'
    
        message2print = "{started" + "; set-return-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; set-return-param-passing-to-set-return_manager4xi-by-set-return-of-ConstantManagers4Xi: " + str(set_return_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
    
   
        set_return_manager4xi(set_return_param)
        
    
    
        message2print = "{returning" + "; set-return-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
   
        
    #</methodize4xi>
            
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-return-of-ConstantManagers4Xi" usage = "gets RETURN_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_return(self):          
        '''
        get_return gets RETURN_MANAGER4XI
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'get_return'
    
        message2print = "{started" + "; get-return-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    
        message2print = "{returning" + "; get-return-manager4xi-function-returning-by-get-return-of-ConstantManagers4Xi: " + str(get_return_manager4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
       

        return get_return_manager4xi()        
    #</methodize4xi>
            
    #17#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-set-of-ConstantManagers4Xi" usage = "initializes SET_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_set(self,init_set_param = 'set'):          
        '''
        init_set initializes SET_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'init_set'
    
        message2print = "{started" + "; init-set-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; init-set-param-passing-to-init-set-manager4xi-by-init-set-of-ConstantManagers4Xi: " + str(init_set_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
     
   
        init_set_manager4xi(init_set_param)
    
    
        message2print = "{returning" + "; init-set-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
       
        
    #</methodize4xi>
        
    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-set-of-ConstantManagers4Xi" usage = "sets SET_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_set(self,set_set_param = 'set'):          
        '''
        set_set sets SET_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'set_set'
    
        message2print = "{started" + "; set-set-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; set-set-param-passing-to-set-set-manager4xi-by-set-set-of-ConstantManagers4Xi: " + str(set_set_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
  
   
        set_set_manager4xi(set_set_param)
    
    
        message2print = "{returning" + "; set-set-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
   
    #</methodize4xi>
            
        
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-set-of-ConstantManagers4Xi" usage = "gets SET_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_set(self):          
        '''
        get_set gets SET_MANAGER4XI
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'get_set'
    
        message2print = "{started" + "; get-set-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
 
    
        message2print = "{returning" + "; get-set-manager4xi-function-returning-by-get-set-of-ConstantManagers4Xi: " + str(get_set_manager4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
    
          
        return get_set_manager4xi()       
    #</methodize4xi>
            
    #18#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-shutdown-of-ConstantManagers4Xi" usage = "initializes SHUTDOWN_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_shutdown(self,init_shutdown_param = 2):          
        '''
        init_shutdown initializes SHUTDOWN_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'init_shutdown'
    
        message2print = "{started" + "; init-shutdown-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; init-shutdown-param-passing-to-init-shutdown-manager4xi-by-init-shutdown-of-ConstantManagers4Xi: " + str(init_shutdown_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
     
   
        init_shutdown_manager4xi(init_shutdown_param)
    
    
        message2print = "{returning" + "; init-shutdown-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
    
    #</methodize4xi>
            
    
    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-shutdown-of-ConstantManagers4Xi" usage = "sets SHUTDOWN_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_shutdown(self,set_shutdown_param = 2):          
        '''
        set_shutdown sets SHUTDOWN_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'set_shutdown'
    
        message2print = "{started" + "; set-shutdown-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; set-shutdown-param-passing-to-set-shutdown-manager4xi-by-set-shutdown-of-ConstantManagers4Xi: " + str(set_shutdown_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
  
   
        set_shutdown_manager4xi(set_shutdown_param)
    
    
        message2print = "{returning" + "; set-shutdown-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
       
        
    #</methodize4xi>
            
        
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-shutdown-of-ConstantManagers4Xi" usage = "gets SHUTDOWN_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_shutdown(self):          
        '''
        get_shutdown gets SHUTDOWN_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'get_shutdown'
    
        message2print = "{started" + "; get-shutdown-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    
    
        message2print = "{returning" + "; get-shutdown-manager4xi-function-returning-by-get-shutdown-of-ConstantManagers4Xi: " + str(get_shutdown_manager4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
     
   
        return get_shutdown_manager4xi()       
    #</methodize4xi>
            
    #19#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-started-of-ConstantManagers4Xi" usage = "">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_started(self,init_started_param = 1):          
        '''
        init_started initializes STARTED_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'init_started'
    
        message2print = "{started" + "; init-started-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; init-started-param-passing-to-init-started-manager4xi-by-init-started-of-ConstantManagers4Xi: " + str(init_started_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
     
   
        init_started_manager4xi(init_started_param)
    
      
        message2print = "{returning" + "; init-started-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
   
    #</methodize4xi>
            
    
    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-started-of-ConstantManagers4Xi" usage = "sets STARTED_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_started(self,set_started_param = 1):          
        '''
        set_started sets STARTED_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'set_started'
    
        message2print = "{started" + "; set-started-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; set-started-param-passing-to-set-started-manager4xi-by-set-started-of-ConstantManagers4Xi: " + str(set_started_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
         
   
        set_started_manager4xi(set_started_param)
    
    
        message2print = "{returning" + "; set-started-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
      
        
    #</methodize4xi>
            
        
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-started-of-ConstantManagers4Xi" usage = "gets STARTED_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_started(self):          
        '''
        get_started gets STARTED_MANAGER4XI
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'get_started'
    
        message2print = "{started" + "; get-started-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
 
    
    
        message2print = "{returning" + "; get-started-manager4xi-function-returning-by-get-started-of-ConstantManagers4Xi: " + str(get_started_manager4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
   
          
        return get_started_manager4xi()        
    #</methodize4xi>
            
    #20#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-stop-of-ConstantManagers4Xi" usage = "initializes STOP_MANAGER4XI"> 
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_stop(self,init_stop_param = 999):          
        '''
        init_stop initializes STOP_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'init_stop'
    
        message2print = "{started" + "; init-stop-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; init-stop-param-passing-to-init-stop-manager4xi-by-init-stop-of-ConstantManagers4Xi: " + str(init_stop_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
      
   
        init_stop_manager4xi(init_stop_param)
    
    
        message2print = "{returning" + "; init-stop-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
   
        
    #</methodize4xi>
        
    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-stop-of-ConstantManagers4Xi" usage = "sets STOP_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_stop(self,set_stop_param = 999):          
        '''
        set_stop sets STOP_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'set_stop'
    
        message2print = "{started" + "; set-stop-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; set-stop-param-passing-to-set-stop-manager4xi-by-set-stop-of-ConstantManagers4Xi: " + str(set_stop_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
      
   
        set_stop_manager4xi(set_stop_param)
        
    
    
        message2print = "{returning" + "; set-stop-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
   
        
    #</methodize4xi>
            
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-stop-of-ConstantManagers4Xi" usage = "gets STOP_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_stop(self):          
        '''
        get_stop gets STOP_MANAGER4XI
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'get_stop'
    
        message2print = "{started" + "; get-stop-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
 
    
        message2print = "{returning" + "; get-stop-manager4xi-function-returning-by-get-stop-of-ConstantManagers4Xi: " + str() + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
   
          
        return get_stop_manager4xi()       
    #</methodize4xi>
            
    #21#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-traceback-of-ConstantManagers4Xi" usage = "initializes TRACEBACK_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_traceback(self,init_traceback_param = '#TRACEBACK'):          
        '''
        init_traceback initializes TRACEBACK_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'init_traceback'
    
        message2print = "{started" + "; init-traceback-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; init-traceback-param-passing-to-init-traceback-manager4xi-by-init-traceback-of-ConstantManagers4Xi: " + str(init_traceback_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
    
   
        init_traceback_manager4xi(init_traceback_param)
    
    
        message2print = "{returning" + "; init-traceback-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
   
        
    #</methodize4xi>
        
    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-traceback-of-ConstantManagers4Xi" usage = "sets TRACEBACK_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_traceback(self,set_traceback_param = '#TRACEBACK'):          
        '''
        set_traceback sets TRACEBACK_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'set_traceback'
    
        message2print = "{started" + "; set-traceback-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; set-traceback-param-passing-to-set-traceback-manager4xi-by-set-traceback-of-ConstantManagers4Xi: " + str(set_traceback_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
         
   
        set_traceback_manager4xi(set_traceback_param)
    
    
        message2print = "{returning" + "; set-traceback-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
     
        
    #</methodize4xi>
            
        
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-traceback-of-ConstantManagers4Xi" usage = "gets TRACEBACK_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_traceback(self):          
        '''
        get_traceback gets TRACEBACK_MANAGER4XI
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'get_traceback'
    
        message2print = "{started" + "; get-traceback-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
 
    
        message2print = "{returning" + "; get-traceback-manager4xi-function-returning-by-get-traceback-of-ConstantManagers4Xi: " + str(get_traceback_manager4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
     
          
        return get_traceback_manager4xi()        
    #</methodize4xi>
            
    #22#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-typeid-of-ConstantManagers4Xi" usage = "initializes TYPEID_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_typeid(self,init_typeid_param = 'typeid'):          
        '''
        init_typeid initializes TYPEID_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'init_typeid'
    
        message2print = "{started" + "; init-typeid-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; init-typeid-param-passing-to-init-typeid-manager4xi-by-init-typeid-of-ConstantManagers4Xi: " + str(init_typeid_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
   
   
        init_typeid_manager4xi(init_typeid_param)
        
    
        message2print = "{returning" + "; init-typeid-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
     
    #</methodize4xi>
        
    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-typeid-of-ConstantManagers4Xi" usage = "sets TYPEID_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_typeid(self,set_typeid_param = 'typeid'):          
        '''
        set_typeid sets TYPEID_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'set_typeid'
    
        message2print = "{started" + "; set-typeid-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; set-typeid-param-passing-to-set-typeid-manager4xi-by-set-typeid-of-ConstantManagers4Xi: " + str(set_typeid_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
        
   
        set_typeid_manager4xi(set_typeid_param)
    
        message2print = "{returning" + "; set-typeid-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
   
    #</methodize4xi>
            
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-typeid-of-ConstantManagers4Xi" usage = "gets TYPEID_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_typeid(self):          
        '''
        get_typeid gets TYPEID_MANAGER4XI
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'get_typeid'
    
        message2print = "{started" + "; get-typeid-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    
    
        message2print = "{returning" + "; get-typeid-manager4xi-function-returning-by-get-typeid-of-ConstantManagers4Xi: " + str(get_typeid_manager4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
   
        
        return get_typeid_manager4xi()          
    #</methodize4xi>
            
    #23#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-unserializable-of-ConstantManagers4Xi" usage = "initializes UNSERIALIZABLE_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_unserializable(self,init_unserializable_param = '#UNSERIALIZABLE'):          
        '''
        init_unserializable initializes UNSERIALIZABLE_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'init_unserializable'
    
        message2print = "{started" + "; init-unserializable-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; init-unserializable-param-passing-to-init-unserializable-manager4xi-by-init-unserializable-of-ConstantManagers4Xi: " + str(init_unserializable_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
  
        init_unserializable_manager4xi(init_unserializable_param)
    
    
        message2print = "{returning" + "; init-unserializable-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
     
    #</methodize4xi>
            
    
    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-unserializable-of-ConstantManagers4Xi" usage = "sets UNSERIALIZABLE_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_unserializable(self,set_unserializable_param = '#UNSERIALIZABLE'):          
        '''
        set_unserializable sets UNSERIALIZABLE_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'set_unserializable'
    
        message2print = "{started" + "; set-unserializable-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; set-unserializable-param-passing-to-set-unserializable-manager4xi-by-set-unserializable-of-ConstantManagers4Xi: " + str(set_unserializable_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
   
   
        set_unserializable_manager4xi(set_unserializable_param)
    
    
        message2print = "{returning" + "; set-unserializable-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
   
    #</methodize4xi>
            
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-unserializable-of-ConstantManagers4Xi" usage = "gets UNSERIALIZABLE_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_unserializable(self):          
        '''
        get_unserializable gets UNSERIALIZABLE_MANAGER4XI
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'get_unserializable'
    
        message2print = "{started" + "; get-unserializable-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
 
    
        message2print = "{returning" + "; get-unserializable-manager4xi-function-returning-by-get-unserializable-of-ConstantManagers4Xi: " + str(get_unserializable_manager4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
       
          
        return get_unserializable_manager4xi()         
    #</methodize4xi>
            
    #24#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-value-of-ConstantManagers4Xi" usage = "initializes VALUE_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_value(self,init_value_param = ['value']):          
        '''
        init_value initializes VALUE_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'init_value'
    
        message2print = "{started" + "; init-value-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; init-value-param-passing-to-init-value-manager4xi-by-init-value-of-ConstantManagers4Xi: " + str(init_value_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
      
   
        init_value_manager4xi(init_value_param)
    
    
        message2print = "{returning" + "; init-value-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
   
        
    #</methodize4xi>
        
    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-value-of-ConstantManagers4Xi" usage = "sets VALUE_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_value(self,set_value_param = ['value']):          
        '''
        set_value sets VALUE_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'set_value'
    
        message2print = "{started" + "; set-value-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; set-value-param-passing-to-set-value-manager4xi-by-set-value-of-ConstantManagers4Xi: " + str(set_value_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
       
   
        set_value_manager4xi(set_value_param)
        
    
    
        message2print = "{returning" + "; set-value-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
   
        
    #</methodize4xi>
            
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-value-of-ConstantManagers4Xi" usage = "gets VALUE_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_value(self):          
        '''
        get_value gets VALUE_MANAGER4XI
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'get_value'
    
        message2print = "{started" + "; get-value-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    
    
        message2print = "{returning" + "; get-value-manager4xi-function-returning-by-get-value-of-ConstantManagers4Xi: " + str(get_value_manager4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
   
   
        return get_value_manager4xi()        
    #</methodize4xi>
            
    #25#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-wait-of-ConstantManagers4Xi" usage = "initializes WAIT_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_wait(self,init_wait_param = 'wait'):          
        '''
        init_wait initializes WAIT_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'init_wait'
    
        message2print = "{started" + "; init-wait-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; init-wait-param-passing-to-init-wait-manager4xi-by-init-wait-of-ConstantManagers4Xi: " + str(init_wait_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
  
        init_wait_manager4xi(init_wait_param)
        
    
        message2print = "{returning" + "; init-wait-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
     
    #</methodize4xi>
        
    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-wait-of-ConstantManagers4Xi" usage = "sets WAIT_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_wait(self,set_wait_param = 'wait'):          
        '''
        set_wait sets WAIT_MANAGER4XI
        '''
        class2print = 'ConstantManagers4Xi'
        method2print = 'set_wait'
    
        message2print = "{started" + "; set-wait-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; set-wait-param-passing-to-set-wait-manager4xi-by-set-wait-of-ConstantManagers4Xi: " + str(set_wait_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
       
   
        set_wait_manager4xi(set_wait_param)
        
    
    
        message2print = "{returning" + "; set-wait-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
   
        
    #</methodize4xi>
            
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-wait-of-ConstantManagers4Xi" usage = "gets WAIT_MANAGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_wait(self):          
        '''
        get_wait gets WAIT_MANAGER4XI
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'get_wait'
    
        message2print = "{started" + "; get-wait-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
 
    
        message2print = "{returning" + "; get-wait-manager4xi-function-returning-by-get-wait-of-ConstantManagers4Xi: " + str(get_wait_manager4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
   
          
        return get_wait_manager4xi()          
    #</methodize4xi>
            
    #26#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-26pppppppp-of-ConstantManagers4Xi" usage = "initializes PPPPPPPP">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_26pppppppp(self, init_26pppppppp_param = 26):
               
        '''
        init_26init_26pppppppp_param initializes PPPPPPPP
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'init_26pppppppp'
       
        message2print = "{started" + "; init-26pppppppp-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; init-26pppppppp-param-passing-to-init-26pppppppp4xi-by-init-26pppppppp-of-ConstantManagers4Xi: " + str(init_26pppppppp_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
    
   
        init_26pppppppp4xi(init_26pppppppp_param)
    
    
        message2print = "{returning" + "; init-26pppppppp-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
    
    #</methodize4xi>
            
    
    #26#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-26pppppppp-of-ConstantManagers4Xi" usage = "sets PPPPPPPP">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_26pppppppp(self,set_26pppppppp_param = 26):          
        '''
        set_26set_26pppppppp_param sets PPPPPPPP
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'set_26pppppppp'
       
        message2print = "{started" + "; set-26pppppppp-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
         

        message2print = "{passing" + "; set-26pppppppp_param-passing-to-set-26pppppppp4xi-by-set-26pppppppp-of-ConstantManagers4Xi: " + str(set_26pppppppp_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
   
          
        set_26pppppppp4xi(set_26pppppppp_param)
    
    
        message2print = "{returning" + "; set-26pppppppp-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
    
    #</methodize4xi>
            
        
    #26#    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-26pppppppp-of-ConstantManagers4Xi" usage = "gets PPPPPPPP">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_26pppppppp(self):          
        '''
        get_26pppppppp gets PPPPPPPP
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'get_26pppppppp'
       
        message2print = "{started" + "; get-26pppppppp-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
         
    
        message2print = "{returning" + "; get-26pppppppp4xi-function-returning-by-get-26pppppppp-of-ConstantManagers4Xi: " + str(get_26pppppppp4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
   
          
        return get_26pppppppp4xi()         
    #</methodize4xi>
            
    #27#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-27pppppppp-of-ConstantManagers4Xi" usage = "initializes PPPPPPPP">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_27pppppppp(self, init_27pppppppp_param = 27):
               
        '''
        init_27init_27pppppppp_param initializes PPPPPPPP
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'init_27pppppppp'
       
        message2print = "{started" + "; init-27pppppppp-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; init-27pppppppp-param-passing-to-init-27pppppppp4xi-by-init-27pppppppp-of-ConstantManagers4Xi: " + str(init_27pppppppp_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
    
   
        init_27pppppppp4xi(init_27pppppppp_param)
    
    
        message2print = "{returning" + "; init-27pppppppp-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
    
    #</methodize4xi>
        
    
    #27#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-27pppppppp-of-ConstantManagers4Xi" usage = "sets PPPPPPPP">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_27pppppppp(self,set_27pppppppp_param = 27):          
        '''
        set_27set_27pppppppp_param sets PPPPPPPP
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'set_27pppppppp'
       
        message2print = "{started" + "; set-27pppppppp-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
         

        message2print = "{passing" + "; set-27pppppppp_param-passing-to-set-27pppppppp4xi-by-set-27pppppppp-of-ConstantManagers4Xi: " + str(set_27pppppppp_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
   
          
        set_27pppppppp4xi(set_27pppppppp_param)
    
    
        message2print = "{returning" + "; set-27pppppppp-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
    
    #</methodize4xi>
            
    #27#    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-27pppppppp-of-ConstantManagers4Xi" usage = "gets PPPPPPPP">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_27pppppppp(self):          
        '''
        get_27pppppppp gets PPPPPPPP
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'get_27pppppppp'
       
        message2print = "{started" + "; get-27pppppppp-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
         
    
        message2print = "{returning" + "; get-27pppppppp4xi-function-returning-by-get-27pppppppp-of-ConstantManagers4Xi: " + str(get_27pppppppp4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
   
          
        return get_27pppppppp4xi()         
    #</methodize4xi>
            
    #28#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-28pppppppp-of-ConstantManagers4Xi" usage = "initializes PPPPPPPP">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_28pppppppp(self, init_28pppppppp_param = 28):
               
        '''
        init_28init_28pppppppp_param initializes PPPPPPPP
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'init_28pppppppp'
       
        message2print = "{started" + "; init-28pppppppp-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; init-28pppppppp-param-passing-to-init-28pppppppp4xi-by-init-28pppppppp-of-ConstantManagers4Xi: " + str(init_28pppppppp_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
    
   
        init_28pppppppp4xi(init_28pppppppp_param)
    
    
        message2print = "{returning" + "; init-28pppppppp-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
    
    #</methodize4xi>
        
    
    #28#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-28pppppppp-of-ConstantManagers4Xi" usage = "sets PPPPPPPP">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_28pppppppp(self,set_28pppppppp_param = 28):          
        '''
        set_28set_28pppppppp_param sets PPPPPPPP
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'set_28pppppppp'
       
        message2print = "{started" + "; set-28pppppppp-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
         

        message2print = "{passing" + "; set-28pppppppp_param-passing-to-set-28pppppppp4xi-by-set-28pppppppp-of-ConstantManagers4Xi: " + str(set_28pppppppp_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
   
          
        set_28pppppppp4xi(set_28pppppppp_param)
    
    
        message2print = "{returning" + "; set-28pppppppp-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
    
    #</methodize4xi>
            
        
    #28#    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-28pppppppp-of-ConstantManagers4Xi" usage = "gets PPPPPPPP">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_28pppppppp(self):          
        '''
        get_28pppppppp gets PPPPPPPP
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'get_28pppppppp'
       
        message2print = "{started" + "; get-28pppppppp-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
         
    
        message2print = "{returning" + "; get-28pppppppp4xi-function-returning-by-get-28pppppppp-of-ConstantManagers4Xi: " + str(get_28pppppppp4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
   
          
        return get_28pppppppp4xi()         
    #</methodize4xi>
            
    #29#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-29pppppppp-of-ConstantManagers4Xi" usage = "initializes PPPPPPPP">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_29pppppppp(self, init_29pppppppp_param = 29):
               
        '''
        init_29init_29pppppppp_param initializes PPPPPPPP
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'init_29pppppppp'
       
        message2print = "{started" + "; init-29pppppppp-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; init-29pppppppp-param-passing-to-init-29pppppppp4xi-by-init-29pppppppp-of-ConstantManagers4Xi: " + str(init_29pppppppp_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
    
   
        init_29pppppppp4xi(init_29pppppppp_param)
    
    
        message2print = "{returning" + "; init-29pppppppp-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
    
    #</methodize4xi>
        
    
    #29#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-29pppppppp-of-ConstantManagers4Xi" usage = "sets PPPPPPPP">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_29pppppppp(self,set_29pppppppp_param = 29):          
        '''
        set_29set_29pppppppp_param sets PPPPPPPP
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'set_29pppppppp'
       
        message2print = "{started" + "; set-29pppppppp-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
         

        message2print = "{passing" + "; set-29pppppppp_param-passing-to-set-29pppppppp4xi-by-set-29pppppppp-of-ConstantManagers4Xi: " + str(set_29pppppppp_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
   
          
        set_29pppppppp4xi(set_29pppppppp_param)
    
    
        message2print = "{returning" + "; set-29pppppppp-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
    
    #</methodize4xi>
            
    #29#    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-29pppppppp-of-ConstantManagers4Xi" usage = "gets PPPPPPPP">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_29pppppppp(self):          
        '''
        get_29pppppppp gets PPPPPPPP
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'get_29pppppppp'
       
        message2print = "{started" + "; get-29pppppppp-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
         
    
        message2print = "{returning" + "; get-29pppppppp4xi-function-returning-by-get-29pppppppp-of-ConstantManagers4Xi: " + str(get_29pppppppp4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
   
          
        return get_29pppppppp4xi()         
    #</methodize4xi>
            
    #30#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-30pppppppp-of-ConstantManagers4Xi" usage = "initializes PPPPPPPP">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_30pppppppp(self, init_30pppppppp_param = 30):
               
        '''
        init_30init_30pppppppp_param initializes PPPPPPPP
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'init_30pppppppp'
       
        message2print = "{started" + "; init-30pppppppp-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; init-30pppppppp-param-passing-to-init-30pppppppp4xi-by-init-30pppppppp-of-ConstantManagers4Xi: " + str(init_30pppppppp_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
    
   
        init_30pppppppp4xi(init_30pppppppp_param)
    
    
        message2print = "{returning" + "; init-30pppppppp-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
    
    #</methodize4xi>
        
    
    #30#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-30pppppppp-of-ConstantManagers4Xi" usage = "sets PPPPPPPP">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_30pppppppp(self,set_30pppppppp_param = 30):          
        '''
        set_30set_30pppppppp_param sets PPPPPPPP
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'set_30pppppppp'
       
        message2print = "{started" + "; set-30pppppppp-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
         

        message2print = "{passing" + "; set-30pppppppp_param-passing-to-set-30pppppppp4xi-by-set-30pppppppp-of-ConstantManagers4Xi: " + str(set_30pppppppp_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
   
          
        set_30pppppppp4xi(set_30pppppppp_param)
    
    
        message2print = "{returning" + "; set-30pppppppp-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
    
    #</methodize4xi>
            
        
    #30#    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-30pppppppp-of-ConstantManagers4Xi" usage = "gets PPPPPPPP">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_30pppppppp(self):          
        '''
        get_30pppppppp gets PPPPPPPP
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'get_30pppppppp'
       
        message2print = "{started" + "; get-30pppppppp-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
         
    
        message2print = "{returning" + "; get-30pppppppp4xi-function-returning-by-get-30pppppppp-of-ConstantManagers4Xi: " + str(get_30pppppppp4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
   
          
        return get_30pppppppp4xi()         
    #</methodize4xi>
            
    #31#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-31pppppppp-of-ConstantManagers4Xi" usage = "initializes PPPPPPPP">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_31pppppppp(self, init_31pppppppp_param = 31):
               
        '''
        init_31init_31pppppppp_param initializes PPPPPPPP
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'init_31pppppppp'
       
        message2print = "{started" + "; init-31pppppppp-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; init-31pppppppp-param-passing-to-init-31pppppppp4xi-by-init-31pppppppp-of-ConstantManagers4Xi: " + str(init_31pppppppp_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
    
   
        init_31pppppppp4xi(init_31pppppppp_param)
    
    
        message2print = "{returning" + "; init-31pppppppp-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
    
    #</methodize4xi>
        
    #31#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-31pppppppp-of-ConstantManagers4Xi" usage = "sets PPPPPPPP">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_31pppppppp(self,set_31pppppppp_param = 31):          
        '''
        set_31set_31pppppppp_param sets PPPPPPPP
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'set_31pppppppp'
       
        message2print = "{started" + "; set-31pppppppp-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
         

        message2print = "{passing" + "; set-31pppppppp_param-passing-to-set-31pppppppp4xi-by-set-31pppppppp-of-ConstantManagers4Xi: " + str(set_31pppppppp_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
   
          
        set_31pppppppp4xi(set_31pppppppp_param)
    
    
        message2print = "{returning" + "; set-31pppppppp-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
    
    #</methodize4xi>
            
        
    #31#    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-31pppppppp-of-ConstantManagers4Xi" usage = "gets PPPPPPPP">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_31pppppppp(self):          
        '''
        get_31pppppppp gets PPPPPPPP
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'get_31pppppppp'
       
        message2print = "{started" + "; get-31pppppppp-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
         
    
        message2print = "{returning" + "; get-31pppppppp4xi-function-returning-by-get-31pppppppp-of-ConstantManagers4Xi: " + str(get_31pppppppp4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
   
          
        return get_31pppppppp4xi()         
    #</methodize4xi>
            
    #32#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-32pppppppp-of-ConstantManagers4Xi" usage = "initializes PPPPPPPP">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_32pppppppp(self, init_32pppppppp_param = 32):
               
        '''
        init_32init_32pppppppp_param initializes PPPPPPPP
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'init_32pppppppp'
       
        message2print = "{started" + "; init-32pppppppp-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; init-32pppppppp-param-passing-to-init-32pppppppp4xi-by-init-32pppppppp-of-ConstantManagers4Xi: " + str(init_32pppppppp_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
    
   
        init_32pppppppp4xi(init_32pppppppp_param)
    
    
        message2print = "{returning" + "; init-32pppppppp-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
    
    #</methodize4xi>
        
    
    #32#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-32pppppppp-of-ConstantManagers4Xi" usage = "sets PPPPPPPP">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_32pppppppp(self,set_32pppppppp_param = 32):          
        '''
        set_32set_32pppppppp_param sets PPPPPPPP
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'set_32pppppppp'
       
        message2print = "{started" + "; set-32pppppppp-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
         

        message2print = "{passing" + "; set-32pppppppp_param-passing-to-set-32pppppppp4xi-by-set-32pppppppp-of-ConstantManagers4Xi: " + str(set_32pppppppp_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
   
          
        set_32pppppppp4xi(set_32pppppppp_param)
    
    
        message2print = "{returning" + "; set-32pppppppp-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
    
    #</methodize4xi>
            
    #32#    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-32pppppppp-of-ConstantManagers4Xi" usage = "gets PPPPPPPP">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_32pppppppp(self):          
        '''
        get_32pppppppp gets PPPPPPPP
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'get_32pppppppp'
       
        message2print = "{started" + "; get-32pppppppp-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
         
    
        message2print = "{returning" + "; get-32pppppppp4xi-function-returning-by-get-32pppppppp-of-ConstantManagers4Xi: " + str(get_32pppppppp4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
   
          
        return get_32pppppppp4xi()         
    #</methodize4xi>
            
    #33#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-33pppppppp-of-ConstantManagers4Xi" usage = "initializes PPPPPPPP">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_33pppppppp(self, init_33pppppppp_param = 33):
               
        '''
        init_33init_33pppppppp_param initializes PPPPPPPP
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'init_33pppppppp'
       
        message2print = "{started" + "; init-33pppppppp-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    

        message2print = "{passing" + "; init-33pppppppp-param-passing-to-init-33pppppppp4xi-by-init-33pppppppp-of-ConstantManagers4Xi: " + str(init_33pppppppp_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
    
   
        init_33pppppppp4xi(init_33pppppppp_param)
    
    
        message2print = "{returning" + "; init-33pppppppp-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
    
    #</methodize4xi>
        
        
    #33#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-33pppppppp-of-ConstantManagers4Xi" usage = "sets PPPPPPPP">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_33pppppppp(self,set_33pppppppp_param = 33):          
        '''
        set_33set_33pppppppp_param sets PPPPPPPP
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'set_33pppppppp'
       
        message2print = "{started" + "; set-33pppppppp-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
         

        message2print = "{passing" + "; set-33pppppppp_param-passing-to-set-33pppppppp4xi-by-set-33pppppppp-of-ConstantManagers4Xi: " + str(set_33pppppppp_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
   
          
        set_33pppppppp4xi(set_33pppppppp_param)
    
    
        message2print = "{returning" + "; set-33pppppppp-of-ConstantManagers4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
    
    #</methodize4xi>
            
        
    #33#    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-33pppppppp-of-ConstantManagers4Xi" usage = "gets PPPPPPPP">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_33pppppppp(self):          
        '''
        get_33pppppppp gets PPPPPPPP
        '''
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'get_33pppppppp'
       
        message2print = "{started" + "; get-33pppppppp-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
         
    
        message2print = "{returning" + "; get-33pppppppp4xi-function-returning-by-get-33pppppppp-of-ConstantManagers4Xi: " + str(get_33pppppppp4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
   
          
        return get_33pppppppp4xi()         
    #</methodize4xi>
                                          
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "sense-of-ConstantManagers4Xi" usage = "senses class objects">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # ---------------------------------------------------------------------------------------------
    def sense(self):
        '''
        senses ConstantManagers4Xi class objects
        '''
          
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'sense'
        
        message2print = "{started" + "; sense-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)          
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------  
        message2print = "{sensing" + "; constantmanagers4xi-sensing-by-sense-of-ConstantManagers4Xi: " + str(ConstantManagers4Xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
                       
        
        # -----------------------------------------------------------------------------------------
        # get sensed knowledge for this object
        # -----------------------------------------------------------------------------------------        
        kb2xi = sense_object4xi(self)
        
        message2print = "{got" + "; kb2xi-got-by-sense-of-ConstantManagers4Xi: " + str(kb2xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
                
        
        # -----------------------------------------------------------------------------------------
        # add knowledge specific to this object
        # -----------------------------------------------------------------------------------------         
        try:
            kb2xi['inheritance-of-constantmanagers2xi'] = object
        except:
            message2print = "{yielded" + "; kb2xi-yielded-by-sense-of-ConstantManagers4Xi: " + str(kb2xi)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print) 
            
        
      
        message2print = "{sensing" + "; constantmanagers4xi-sensing-by-sense-of-ConstantManagers4Xi: " + str(ConstantManagers4Xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)       
        
        # -----------------------------------------------------------------------------------------
        # 
        # -----------------------------------------------------------------------------------------         
        message2print = "{returning" + "; kb2xi-returning-by-sense-of-ConstantManagers4Xi: " + str(kb2xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)    
                                
          
        return kb2xi
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------        
    #</methodize4xi>
    
        
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "reason-of-ConstantManagers4Xi" usage = "reasons class objects">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # ---------------------------------------------------------------------------------------------
    def reason(self):
        '''
        reasons ConstantManagers4Xi class objects
        '''
                 
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'reason'

        message2print = "{started" + "; reason-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                  
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------
        message2print = "{reasoning" + "; constantmanagers4xi-reasoning-by-reason-of-ConstantManagers4Xi: " + str(ConstantManagers4Xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
                
        
        # -----------------------------------------------------------------------------------------
        # get reasoned knowledge for this object
        # -----------------------------------------------------------------------------------------         
        kb4xi = reason_object4xi(self)
        
        
        message2print = "{got" + "; kb4xi-got-by-reason-of-ConstantManagers4Xi: " + str(kb4xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
                
        
        # -----------------------------------------------------------------------------------------
        # add knowledge specific to this object
        # format example: kb4xi['time2xi'] = time4xi() #adding time 
        # -----------------------------------------------------------------------------------------          
        
        
          
        
        message2print = "{reasoned" + "; constantmanagers4xi-reasoned-by-reason-of-ConstantManagers4Xi: " + str(ConstantManagers4Xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------        
        message2print = "{returning" + "; kb4xi-returning-by-reason-of-ConstantManagers4Xi: " + str(kb4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)    
                                  
          
        return kb4xi
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------            
    #</methodize4xi>
    
    
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "ace-of-ConstantManagers4Xi" usage = "aces class objects">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # ---------------------------------------------------------------------------------------------
    def ace(self):
        '''
        aces ConstantManagers4Xi class objects 
        '''
               
        
        
        class2print = 'ConstantManagers4Xi'
        method2print = 'ace'
        
        message2print = "{started" + "; ace-of-ConstantManagers4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                       
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------
        message2print = "{acing" + "; constantmanagers4xi-acing-by-ace-of-ConstantManagers4Xi: " + str(ConstantManagers4Xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
                    
        
        # -----------------------------------------------------------------------------------------
        # get aced knowledge for this object
        # -----------------------------------------------------------------------------------------        
        kb8xi = ace_object4xi(self)  
        
        message2print = "{got" + "; kb8xi-got-by-ace-of-ConstantManagers4Xi: " + str(kb8xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
                


        # -----------------------------------------------------------------------------------------
        # add knowledge specific to this object
        # format example: kb8xi['time2xi'] = time4xi() #adding time 
        # -----------------------------------------------------------------------------------------              
        
          
        message2print = "{aced" + "; constantmanagers4xi-aced-by-ace-of-ConstantManagers4Xi: " + str(ConstantManagers4Xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)          
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------        
        message2print = "{returning" + "; kb8xi-returning-by-ace-of-ConstantManagers4Xi: " + str(kb8xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)    
                                  
        
        return kb8xi
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------   
    #</methodize4xi>
#</class4xi>
 
#</program4xi>
      

# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_constant_managers4xi.txt
#   sense-test-constant-managers4xi.xml
#   reason-test-constant-managers4xi.xml
#   ace-test-constant-managers4xi.xml
#"
#>


# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>

    
    

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of constant_managers4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
   
